--$Version: 1.0$
--$Name: Будка$
instead_version "1.8.0"

require "para"
require "dash"
require "quotes"
require "nouse"
require "budka_cut"
require "hideinv"
require "wroom"

dofile "budka_kbd.lua"

game.onact = function(s, w)
	if not me()._down then
		return
	end
	me()._down = false
	if here() == room1 then
		p [[Я встал с кровати.]]
	else
		p [[Я поднялся из кресла.]]
	end
	return false
end
game.onuse = function(s, w, ww) 
	if have(ww) then
		return
	end
	return game.onact(s, w)
end;
game.onwalk = game.onact

main = room {
	enter = function(s)
		set_music 'mus/intro.xm'
		walk 'home';
	end;
	nam = 'Пролог';
}
shkaf = obj {
	nam = 'шкаф';
	dsc = 'Старый книжный {шкаф} занимает почти всю стену моей небольшой комнаты.';
	act = function(s)
		p [[На полках, кроме фантастики, валяются кассеты.]];
		elite:enable();
	end;
	obj = { 'elite', 'mag' };
}
zx = obj {
	nam = 'спектрум';
	dsc = 'На полу, перед телевизором лежит мой любимый {"Спектрум"}.';
	var { load = false; loaded = false; };
	act = function(s)
		p [[Мой "Спектрум" подключен к телевизору. Он всегда подключен к телевизору.]];
		if s.loaded then
			if not mag.screw then
				p [[На телевизоре я увидел надпись: Tape loading error. Не читается!]];
				return
			else
				if not visited 'elitegame' then
					pclr()
					walk 'elitegame'
				else
					pclr()
					p [[Мне сейчас не удастся спокойно поиграть.]]
				end
				return
			end
		end
		if mag.connected and mag.cassete then
			if s.load then
				return [["Спектрум" ждет данных с магнитофона.]];
			end
			p [[Я набрал команду: LOAD. Теперь можно включить магнитофон.]];
			s.load = true
		end
	end;
}

chair = obj {
	nam = 'табуретка';
	var { near = zx };
	dsc = function(s)
		if s.near == shkaf then
			p [[Рядом со шкафом ]];
		elseif s.near == tv then
			p [[Рядом с телевизором ]];
		elseif s.near == bed then
			p [[Рядом с кроватью ]];
		elseif s.near == zx then
			p [[Рядом со "Спектрумом"]]
		else
			p [[На полу]];
		end
		p 'стоит {табуретка}.';
	end;
	tak = function(s)
		if s.near == shkaf and disabled 'mag' then
			p [[Я залез на стул и осмотрел верх шкафа.]];
			mag:enable()
			return false
		end
		if have 'mag' or mag.connected then
			p [[Мне больше не нужна табуретка.]]
			return false
		end
		p 'Я взял табуретку.';
		s.near = null
	end;
	inv = function(s)
		p [[Я поставил табуретку.]]
		drop(s)
	end;
	use = function(s, w)
		if have(w) then
			return "Странное предназначение для табуретки."
		end
		s.near = w
		p [[Я поставил табуретку.]];
		drop(s, w)
	end
}

elite = obj {
	nam = 'кассета';
	dsc = 'На книжной полке я вижу {кассету} с играми.';
	tak = 'Это моя любимая кассета, здесь записана Elite!';
	inv = 'Свема МК-60-6. На этой кассете записана моя любимая игра -- Elite! Самое время поиграть.';
	use = function(s, w)
		if w == zx then
			return [[Кассета вставляется в магнитофон, а не в "Спектрум".]];
		end
		if w == mag then
			if not seen(w, shkaf) then
				p [[Я вставил кассету в магнитофон.]];
				remove(s, me())
				w.cassete = true
				return
			end
			p [[Сначала надо взять магнитофон.]]
		end
	end;
	nouse = 'Кассета тут бесполезна.';
}:disable();

bed = obj {
	nam = 'кровать';
	dsc = 'У стены стоит {кровать}.';
	act = [[Старая скрипучая кровать.]];
}

screw = obj {
	nam = 'отвертка';
	dsc = 'Рядом с телевизором на столике лежит {отвертка}.';
	tak = 'Я взял отвертку.';
	inv = 'Плоская.';
	nouse = [[Нет смысла это разбирать.]];
	use = function(s, w)
		if w == mag then
			if mag.screw then
				return [[Головка уже отрегулирована.]];
			end
			if not zx.loaded then
				return [[Нет смысла лезть в кассетник.]];
			end
			mag.screw = true
			zx.loaded = false
			p [[Я включил воспроизведение и принялся регулировать головку. Когда скрип стал еще резче и громче, я удовлетворился результатом и отмотал кассету назад.]];
		elseif w == tv then
			p [[Телевизор в порядке. Вообще-то, он не ловит сигнал, но картинку со "Спектрума" показывает нормально. Мне очень повезло, что у меня есть свой телевизор.]]
		end
	end;
}:disable();

mag = obj {
	nam = 'магнитофон';
	var { connected = false, cassete = false; screw = false; };
	dsc = function(s)
		if s.connected then
			p [[{Кассетник} подключен к "Спектруму".]];
		else
			p 'На верху шкафа лежит мой {кассетник}!';
		end
	end;
	nouse = [[Магнитофон тут не нужен.]];
	use = function(s, w)
		if w == zx then
			drop(s, w)
			p [[Я подключил кассетник к спектруму.]];
			s.connected = true
		end
	end;
	tak = function(s)
		if s.connected then
			if s.cassete then
				if zx.load then
					p [[Я включил магнитофон и комната наполнилась волшебным треском и шипением.
					Я подождал 5 минут и выключил магнитофон.]]
					zx.loaded = true
					zx.load = false
					set_sound 'mus/budka-zx.ogg'
				else
					p [[Рано включать магнитофон.]]
				end
				return false
			else
				p [[Я отключил магнитофон.]]
				s.connected = false
				return
			end
		end
		if chair.near == shkaf then
			p [[Я достал свой кассетник со шкафа. Оставил его там после сегодняшней уборки.]];
			return
		end
		p [[Не достать.]]
		return false
	end;
	inv = function(s)
		p '"Электроника-302", классный аппарат!';
		if s.cassete then
			p [[В магнитофон вставлена кассета с Elite!]];
		end
	end;
}:disable()

stolik = obj {
	nam = 'столик';
	dsc = 'На деревянном {столике}';
	act = function(s)
		p 'Мой отец сделал этот столик своими руками.';
		if disabled 'screw' then
			p [[Возле телевизора я увидел отвертку.]];
			screw:enable()
		end
	end;
	obj = { 'tv', 'screw' };
}

tv = obj {
	nam = 'телевизор';
	dsc = 'стоит {телевизор}.';
	act = 'Цветной "Рекорд". К нему подключен мой "Спектрум".';
}


home = room {
	nam = 'Моя комната';
	pic = 'gfx/b-home.png';
	dsc = [[Я нахожусь в своей комнате. Вечер августа.
		Неяркие солнечные лучи проникают сквозь гардины и падают на пыльный пол.]];
	exit = function(s, t)
		if t == cor and not visited 'elitegame' then
			p [[Что мне там делать? Пока меня никто не беспокоит, лучше поиграю с "Спектрумом".]];
			return false
		end
	end;
	way = { vroom('В коридор', 'cor') };
	obj = { 'shkaf', 'stolik', 'zx', 'chair', 'bed' };

}
elitegame = cutscene {
	nam = 'Игра';
	pic = 'gfx/b-spectrum.png';
	hideinv = true;
	forcedsc = true;
	exit = function(s)
		p [[-- Эх, мама...]];
	end;
	dsc = [[
		В этот раз я решил не загружать сохраненную игру, а начать все сначала.
		Уже родная система Lave и Cobra Mk III. Жалкие 100 кредитов на счету...{fading}^{cut Дальше}
		Конечно, я уже несколько раз доходил до статуса Elite, и игра становилась немного скучной.{fading}^{cut Дальше}
		Начиная заново, я пытался играть по другому, не так, как в прошлый раз.{fading}^{cut Дальше}
		Я отстыковался от станции...{fading}^{cut Дальше}
		Активировал гиперпереход...{fading}^{cut Дальше}
		В расходящихся из центра окружностях, я видел кротовую нору гиперперехода...{fading}^{cut Дальше}
		Скоро я окажусь в соседней системе...{fading}^{cut Дальше}
		Что за...{fading}^{cut Дальше}
		{cls}
		{code set_music 'mus/2.ogg'}
		-- Костя! Сбегай за хлебом!!! Я знаю, что ты снова включил свою коробку, так что тебе будет полезно прогуляться 5 минут. 
		{fading}^{cut Дальше}{walk home}
	]];
	obj = {
--		vway('Дальше', '{Дальше}', 'home'):disa;
	}
}

noroom = function(t)
	local v = room { nam = true, enter = function(s) p (t) return false; end };
	return v
end

refreg = obj {
	nam = 'холодильник';
	dsc = 'Неровно гудит {холодильник}.';
	act = function(s)
		p'Уже старый "Минск".';
		if not taken 'kolbasa' then
			p [[Я открыл дверцу и заглянул внутрь. Одинокий кусок колбасы привлек мое внимание.]]
			take 'kolbasa'
		else
			p 'Я думаю внутри нет ничего интересного.';
		end
	end;
}

kolbasa = obj {
	var { part = 0 };
	nam = function(s)
		if s.part == 0 then
			p 'колбаса';
		else
			if math.pow(2, s.part) >= 65536 then
				p ('наноколбаса');
				return
			end
			if math.pow(2, s.part) >= 4096 then
				p ('микроколбаса');
				return
			end
			if math.pow(2, s.part) >= 256 then
				p ('кусочек колбасы');
				return
			end
			p ('1/',math.pow(2, s.part), ' колбасы');
		end
	end;
	inv = [[Огрызок вареной колбасы. Скорее всего, просроченной.]];
	nouse = 'Тухлая колбаса тут не поможет.';
	use = function(s, w)
		if w == mycat then 
			if  not w.follow then
				w.follow = true
				lifeon(mycat)
				p [[Как только я показал колбасу, Барсик бросился на меня!]];
				kovrik:enable();
			else
				p [[Я попытался кинуть колбасу Барсику, но он, лишь только заметив что я собираюсь сделать, подпрыгнул и отгрыз кусок прямо из моих рук.]]
				s.part = s.part + 1
			end
		elseif w == veshalka then
			if mycat.follow then
				p [[Я открыл дверцу шкафа и швырнул туда колбасу. Барсик рванулся внутрь. Я быстро захлопнул дверцу.]]
				mycat.follow = false
				remove(s, me())
				move(mycat, veshalka)
			end
		end
	end;
}

mycat = obj {
	nam = 'кот';
	var { follow = false; };
	life = function(s)
		if player_moved() and s.follow then 
			p [[Барсик проследовал за мной.]]
			move(s, here(), from())
			return true
		end
		if here() == cor and not s.follow then
			p [[Из шкафа доносятся странные звуки.]];
		end
	end;
	dsc = function(s)
		if s.follow then
			p [[{Барсик} вертится у моих ног. В его глазах горит недобрый зеленый огонь!]]
		else
			if live(s) then
				return
			end
			p [[Под столом на своей подстилке развалился {Барсик}.]]
		end
	end;
	act = function(s)
		if not s.follow then
			p [[Я потянулся рукой к Барсику, но он вдруг открыл правый глаз и зло посмотрел на меня. 
				Желание беспокоить кота пропало.]];
		else
			p [[Барсик оцарапал мне руки!]];
		end
	end;
}

stol = obj {
	nam = 'стол';
	dsc = 'Полкухни занимает {стол}.';
	act = [[Только пустые тарелки после ужина...]];
}

mojka = obj {
	nam = 'мойка';
	dsc = 'В углу расположена {мойка}.';
	act = 'Мыть посуду? Ну нет....';
};
kovrik = obj {
	nam = 'коврик';
	dsc = [[Под столом лежит {коврик} Барсика.]];
	act = function(s)
		p [[На коврике я вижу всякий хлам, который натаскал Барсик.]];
		if seen 'mycat' then
			if not have 'flash' then
				p [[Кажется, я вижу там свой фонарик.]];
			end
			p [[Ай!!! Проклятый кот поцарапал меня. Барсик чувствует мой интерес к его коврику и ему это не нравится.]]
			return
		end
		if not taken 'money' then
			take 'money'
			p [[Ха! Мой кошелек! И еще фонарик!]]
			take 'flash'
		else
			p [[Старая бритва, тенисный мячик, старые ключи...]]
		end
	end;

}:disable();
kitchen = room {
	nam = 'Кухня';
	pic = 'gfx/b-kitchen.png';
	dsc = [[Маленькая квардратная кухня.]];
	obj = { 'stol', 'refreg', 'mycat', 'kovrik', 'mojka'};
	way = { vroom('В коридор', 'cor') };
};
flash = obj {
	nam = 'фонарик';
	nouse = "Ничего необычного.";
	var { gun = false; };
	use = function(s, w)
		if w == veshalka then
			p [[Барсику не понравится, что я взял его фонарик.]]
			return
		end
		if w == pad or w == doors then
			p [[Я немного посветил фонариком, но не обнаружил ничего нового.]]
			return
		end
		if w == pig1 or w == pig2 then
			if not s.gun then
				p [[Я выхватил фонарик и направил его на кабана.^-- УМРИТЕ, ГАДЫ! -- с этими словами я принялся нажимать на рукоятку. Фонарик зажужжал, загорелась лампочка...]]
				s.gun = true
			else
				p [[Я несколько раз нажал на ручку.]];
			end
			return
		end
	end;
	inv = function(s)
		p [[Маленький фонарик-жучок. Ему не нужны батарейки!]];
	end;
}

light = obj {
	nam = 'выключатель';
	dsc = [[У входной двери расположен {выключатель}.]];
	act = [[Я пощелкал выключателем. Лампочка в коридоре не зажглась. Перегорела?]];
}
veshalka = obj{
	nam = 'вешалка';
	dsc = [[В темноте у двери угадываются очертания {шкафа}.]];
	act = function(s)
		if seen(mycat, s) then
			return [[Не стоит сейчас открывать дверцу.]]
		end
		p [[Я открыл дверцы шкафа. Темно. На полках свалена всякая всячина, в которой копаться в темноте нет никакого желания.]]
		p [[Запах Барсика стал еще отчетливей.]]
	end;
}
key = obj {
	nam = 'разводной ключ';
	dsc = [[На зеркале лежит {разводной ключ}.]];
	inv = [[Простое и эффективное оружие.]];
	tak = function(s)
		p [[Это разводной ключ отца. Я думаю, он берет его с собой на улицу для самообороны. Мне он ни к чему.]]
		if know_truth then
			p [[Или все-таки... Я взял с собой разводной ключ отца. Я чувствую, он мне пригодится...]];
			return
		end
		return false
	end;
}:disable()
mirror = obj {
	nam = "зеркало";
	dsc = [[Возле двери, ведущей в комнату родителей, стоит {зеркало}.]];
	act = function(s)
		p [[На зеркале я обнаружил большой разводной ключ.]]; 
		key:enable();
	end;
	obj = {
		'key'
	};
}
cor = room {
	nam = 'Коридор';
	pic = 'gfx/b-cor.png';
	enter = function(s, f)
		if f == hyperjump then
			lifeon(s)
			lifeon(mycat);
			key:disable();
			remove('card', me())
			remove('player2', me())
			remove('blaster', me())
			remove('hemlet', me())
		end
		if f == ladder then
			p [[Нет смысла возвращаться домой без хлеба.]]
			return false
		end
	end;
	dsc = [[В небольшом и темном коридоре я чувствую запах Барсика.]];
	var { a = 0 };
	way = { vroom('В свою комнату', noroom "Быстрее схожу за хлебом, быстрее вернусь."), 
		vroom('В комнату родителей', noroom "Отец пришел с завода, опять будет убеждать подстричься. Лучше как-нибудь в другой раз."),
		vroom('Туалет', noroom "Мне сейчас не нужно в туалет."),
		vroom('Кухня', 'kitchen'),
		vroom('Уйти', 'ladder'),
	};
	entered = function(s, f)
		if f == home then
			p [[В комнате родителей работает телевизор. Я слышу музыку из программы "Время". Уже 9 часов?]]
		end
		lifeon(s)
	end;
	left = function(s)
		lifeoff(s)
	end;
	exit = function(s, t)
		if t == ladder then
			if know_truth then
				if not have 'key' then
					return "Мне кажется, я что-то забыл...", false
				end
				lifeoff(mycat)
				walk 'theend'
				return
			end
			if not have 'money' then
				p [[Нужно взять деньги.]]
				return false
			end
			lifeoff(mycat)
		end
	end;
	obj = { 'light', 'veshalka', 'mirror'};
	life = function(s)
		local t = {
			[[-- Здравствуйте, товарищи! Указ вице-президента СССР ...]];
			[[-- В свзяи с невозможностью по состоянию здоровья ...]],
			[[-- ... исполнения Горбачевым Михаилом Сергеевичем своих обязанностей Президента СССР ...]],
			[[-- ... на основании статьи 127 7 Конституции СССР ...]],
			[[-- ... вступил в исполнение обязанностей Президента СССР с 19 августа 1991 года ...]],
			[[-- ... Вице-президент СССР ЯНАЕВ ...]],
			[[-- ЗАЯВЛЕНИЕ СОВЕТСКОГО РУКОВОДСТВА ]],
			[[-- В связи с невозможностью по состоянию здоровья ...^Гм, какая-то политика, я совсем не интересуюсь политикой.]],
		};
		local tt = {
			"-- ... в целях преодоления глубокого и всестороннего кризиса ...",
			"-- ... исходя из результатов всенародного референдума о сохранении Союза Советских Социалистических Республик ...",
			"-- ... руководствуясь жизненно важными интересами народов нашей Родины ...",
			"-- ... всех советских людей, заявляем ...",
			"-- ... тяжкий, критический для судеб Отечества и наших народов час обращаемся мы к вам! ...",
			"-- ... Воспользовавшись предоставленными свободами, попирая только что появившиеся ростки демократии ...",
			"-- ... возникли экстремистские силы, взявшие курс на ликвидацию Советского Союза ...",
			"-- ... Долгие годы со всех сторон мы слышим заклинания о приверженности интересам личности ...", 
			"-- ... заботе о ее правах, социальной защищенности. На деле же человек оказался униженным ...",
			"-- ... ущемленным в реальных правах и возможностях, доведенным до отчаяния ...",
			"-- ... Вместо того, чтобы заботиться о безопасности и благополучии каждого гражданина ...",
			"-- ... нередко люди, в чьих руках оказалась власть, используют ее в чуждых народу интересах ...",
			"-- ... Потоки слов, горы заявлений и обещаний только подчеркивают скудость ...",
		}
		if s.a == 0 then
			s.a = 1
			return
		end
		if s.a == #t + 1 then
			p [[Я краем уха слышу голос диктора:]]
			p (tt[rnd(#tt)])
			if know_truth then
				p [[^У меня стойкое ощущение дежа вю.]]
			end
			return
		end
		p [[Я слышу голос диктора:]]
		p (t[s.a])
		s.a = s.a + 1
		if know_truth then
			p [[^У меня стойкое ощущение дежа вю.]]
		end
	end;
}
money = room {
	nam = 'деньги';
	inv = 'Денег не много, но на хлеб хватит.';
	nouse = [[Не все можно сделать при помощи денег.]];
}

down = room {
	nam = 'вниз';
	enter = function(s)

	end;
}

lift = obj {
	nam = 'лифт';
	dsc = [[Здесь есть {лифт}.]];
	act = function(s)
		if here() == floor7 then
			return "До лифта не добраться."
		end
		if not visited(floor7) or here() ~= floor8 then
			p [[Я нажал на кнопку, но механизм лифта не отреагировал. Сломан?]];
			return
		end
		if here() == floor8 then
			p [[Я собирался нажать кнопку лифта, когда заметил сквозь сетку на двери, что лифт уже стоит на 8 этаже. Странно.]]
			path 'В лифт':enable()
		end
	end
}
signs = obj {
	nam = 'надписи';
	dsc = [[Стены на этаже {исписаны} черным маркером.]];
	act = function(s)
		if here() == ladder then
			p [[В. Цой жив! 15.09.1990]]
		elseif here() == floor8 then
			p [[Остановите Землю, я сойду...]];
		else
			p [[Я люблю Свету!]];
		end
	end;
}
sigar = obj {
	nam = 'сигареты';
	dsc = [[Под ногами валяются {окурки}.]];
	act = [[Вот почему так воняет на 9-м...]];
}

ladder = room {
	nam = '9-й этаж';
	pic = 'gfx/b-fl9.png';
	dsc = [[На площадке 9-го этажа я чувствую себя неуютно. Пахнет сигаретами. Пыльно и душно.]];
	entered = function(s)
		lifeon(s);
	end;
	left = function(s)
		lifeoff(s)
	end;
	life = function(s)
		if here() == s then
			p [[Снизу слышится какой-то странный шум...]];
		end
	end;
	obj = { 'signs', 'lift'};
	way = {vroom('Домой', 'cor'), vroom('На 8-й этаж', 'floor8') };
}
banka = obj {
	nam = 'банка';
	dsc = [[На ступеньках лежит перевернутая жестяная {банка}.]];
	act = function(s)
		p [[Наверное, для окурков.]]
	end;
}
floor8 = room {
	nam = '8-й этаж';
	pic = 'gfx/b-fl8.png';
	dsc = [[Я на площадке 8-го этажа. Сигаретами воняет еще сильнее.]];
	entered = function(s)
		lifeon(s);
	end;
	left = function(s)
		lifeoff(s)
	end;
	life = function(s)
		local t = {
			"-- Давай, давай!",
			"-- Что за...",
			"-- Стой, тяни на себя!",
			"-- Лови, внизу, внизу... Отойди!",
			"-- Чертов гроб, килограмм 400!",
			"-- Ремень!",
			"-- Вася! Тяни на себя!",
		}
		p [[Я слышу доносящийся снизу грохот и шум голосов.]];
		p (t[rnd(#t)])
	end;
	obj = { 'signs', 'sigar', 'banka', 'lift'};
	way = {vroom('На 9-й этаж', 'ladder'), vroom('На 7-й этаж', 'floor7'), vroom('В лифт', 'inlift'):disable() };
}
piano = obj {
	nam = 'пианино';
	dsc = [[Всю площадку 7-го этажа занимает огромное {черное пианино}.]];
	act = function(s)
		set_music 'mus/3.it'
		p [[Старинное. Оно должно быть красивым, но выглядит страшным. Уродливые сколы дерева также не добавляют ему привлекательности.]];
	end;
}
guys = obj {
	nam = 'грузчики';
	dsc = [[{Грузчики} с ремнями через плечо, пытаются развернуть пианино, чтобы попасть на лестницу.]];
	used = function(s, w)
		if w == money then
			p [[Мне не хватит на хлеб.]]
		end
	end;
	act = function(s)
		p [[Четверо худощавых людей с бледными лицами.]];
		p [[Мне не хочется с ними разговаривать.]]
		lifeon(s);
	end;
	life = function(s)
		local t = {
			[[-- Проходи, парень, не мешай нам!]];
			[[-- Чего уставился? Хочешь помочь?]];
			[[-- Ну проходи уже куда-нибудь!]];
		};
		p (t[rnd(#t)])
		return true;
	end;
}
floor7 = room {
	nam = '7-й этаж';
	pic = 'gfx/b-fl7.png';
	entered = [[Я начал спускаться вниз...]];
	dsc = [[На площадке 7-го этажа что-то происходит.]];
	left = function(s)
		set_music 'mus/3.it'
		lifeoff(guys);
	end;
	obj = { 'piano', 'guys', 'lift' };
	way = {vroom('На 8-й этаж', 'floor8'), vroom('На 6-й этаж', noroom [[Я не могу тут пройти. Черное пианино загорождает проход.]]) };
}

pad = obj {
	nam = 'кнопки';
	var { press = 0 };
	dsc = function(s)
		if here().light then
			p [[Справа от себя я вижу {кнопки}.]]
		else
			p [[Справа находятся {кнопки}.]]
		end
	end;
	act = function(s)
		if not visited 'liftpanic' then
			walk 'liftpanic'
			return 
		end
		if not here().light then
			if s.press > 7 then
				walk 'nopanic'
				return
			end

			if s.press == 0 then
				p [[Я начал беспорядочно нажимать на кнопки. Нет результата.]]
			elseif s.press == 1 then
				p [[Кажется, я нашел кнопку вызова!]]
			elseif s.press == 2 then
				p [[-- Помогите! Я застрял! -- в ответ только какое-то странное урчание.]]
			else
				if rnd(3) == 1 then
				 	p [[Я хаотично нажимаю на кнопки.]]
				else
					p [[Я луплю кулаком по кнопкам.]]
				end
			end
			s.press = s.press + 1
			return
		end
		p [[Не надо трогать кнопки!!!]]
	end;
}
doors = obj {
	nam = 'двери';
	dsc = [[Напротив меня расположена {дверь} лифта.]];
	act = function(s)
		if not here().light then
			p [[Кабина лифта находится между этажей.]];
			if rnd(2) == 1 then
				p [[Я бью кулаками в дверь!]]
			end
		else
			if visited 'nopanic' then
				walk 'street'
				return
			end
			p [[Я еще не добрался до 1-го этажа.]]
		end
	end;
}
inlift = room {
	var { light = true; };
	nam = 'В лифте';
	pic = function(s)
		if s.light then
			p 'gfx/b-lift.png'
		else
			p 'gfx/b-dark.png'
		end
	end;
	entered = function(s, f)
		p [[Я открыл двери лифта и зашел внутрь.]];
	end;
	dsc = function(s)
		if s.light then
			p [[Желтый мерцающий свет тускло освещает кабинку лифта.]];
		else
			p [[ТЕМНО]];
		end
	end;
	obj = { 'pad', 'doors' };
}

liftpanic = cutscene {
	nam = 'В лифте';
	pic = 'gfx/b-lift.png';
	hideinv = true;
	forcedsc = true;
	enter = function(s)
		inlift.light = false;
	end;
	dsc = [[
		Я нажал на кнопку "1". Лифт дернулся, и поехал вниз...{fading}^{cut Дальше}
		Кабинка заметно дрожала, и без того тусклый свет мерцал... Поскорее бы...{fading}^{cut Дальше}
		Вдруг кабинка дернулась, раздался скрежет...{fading}^{cut Дальше}
		Что за!..{fading}^{cut Дальше}
		Свет погас. Лифт остановился.{fading}^{cut Дальше}{code walkout(inlift)}
	]];
}

nopanic = cutscene {
	nam = 'В лифте';
	pic = 'gfx/b-dark.png';
	forcedsc = true;
	hideinv = true;
	enter = function(s)
		inlift.light = true;
	end;
	dsc = [[
		Вдруг страшный удар сотряс весь лифт...{fading}^{cut Дальше}
		Послышался сильный скрежет и...{fading}^{cut Дальше}
		Кабина двинулась вниз...{fading}^{cut Дальше}
		Что за!..{fading}^{cut Дальше}
		Загорелся свет. Лифт остановился.{fading}^{cut Дальше}{code walkout(inlift)}
	]];
}

street = room {
	nam = 'У подъезда';
	pic = 'gfx/b-street.png';
	forcedsc = true;
	entered = function(s, f)
		if f ~= zaugol then
			p [[Я открыл дверь лифта и поскорее выбежал на улицу. Вечерело.]];
		end
	end;
	dsc = [[Рядом с подъездом никого нет. До булочной идти недолго. Надо свернуть за угол нашего дома и пройти метров 100. Времени должно быть еще достаточно, магазин работает до 10.]];
	way = { vroom('За угол', 'zaugol'), vroom('В подъезд', noroom [[Моя миссия -- сходить за хлебом. Может, когда вернусь, грузчики уже закончат с пианино и мне не придется пользоваться лифтом.]])};
};

budka = obj {
	nam = 'будка';
	dsc = [[Возле дома стоит телефонная {будка}.]];
	act = function(s)
		p [[Я думаю, она не работает. Никогда не видел, чтобы отсюда кто-то звонил.]];
	end;
};

man = obj {
	nam = 'человек';
	dsc = [[Рядом с ней я вижу какого-то {человека} в черном пальто.]];
	act = function(s)
		p [[Странная одежда для летнего вечера. Он прячет свои руки в карманах. ]];
	end;
}
magaz = room {
	nam = 'магазин';
}
zaugol = room {
	nam = 'Возле дома';
	pic = 'gfx/b-budka.png';
	entered = [[Я быстро дошел до угла дома и свернул налево.]];
	dsc = [[Эта стена дома находится в тени. Еще пол-часа, и здесь будет совсем темно. Хотелось бы поскорее вернуться. Странно, но на улице никого нет.]];
	obj = { 'budka', 'man' };
	way = { vroom('К подъезду', street), vroom('К магазину', magaz) };
	exit = function(s, w)
		if w == magaz then
			p [[Когда я поровнялся с незнакомцем, случилось то, чего я боялся. Он быстро подошел и обратился ко мне с просьбой.]];
			walkin 'mandlg'
		end
	end;
}

mandlg = dlg {
	nam = 'Незнакомец';
	pic = 'gfx/b-men.png';
	entered = [[-- Молодой человек, не поможете мне? -- его голос звучал вкрадчиво и неприятно.]];
	phr = {
		{ [[Да, конечно.]], [[-- Я знал, что могу на вас расчитывать. Я чувствую доброту -- его рот изобразил улыбку. -- Я сейчас все объясню...]], [[pjump 'a'; poff 'a';]] },
		{ [[Нет, я спешу!]], [[-- Ну, не откажите ветерану войны в небольшой помощи! Это займет 30 секунд.]],[[pjump 'a']]},
		{},
		{ tag='a'; [[Я действительно очень спешу.]], 
			[[-- Не думал я, что вернувшись из Афганистана калекой, отдав свою кровь Родине, я встречу такой прием... -- голос незнакомца задрожал.]]},
		{ [[А в чем дело?]], [[-- Видите ли, мне нужно позвонить моему армейскому товарищу, но ... -- тут незнакомец вдруг вынул руки из кармана и я увидел
			два забинтованных обрубка на месте его кистей. -- .. но мне сложно это сделать. Я прошу вас набрать номер моего приятеля, и передать трубку, когда
			он ответит.]], [[pjump 'b']]},
		{},
		{ tag = 'b', [[Ну, хорошо...]], [[-- Я знал, что могу на вас рассчитывать. Жетон лежит на телефоне, можете его взять. -- Тут он зачем-то дружески похлопал меня по спине.]], [[ walkin 'inbudka']] },
		{[[У меня нет жетона...]], [[-- Это ничего! -- ласково улыбнулся незнакомец -- на аппарате кто-то забыл один жетон. Думаю, мы можем воспользоваться им без особых угрызений совести.]] },
		{[[Автомат не работает...]], [[-- Работает, работает -- только что я видел как по нему звонила молодая женщина -- улыбается незнакомец.]]},
		{},
	};
}

token = obj {
	nam = 'жетон';
	inv = [[Пластиковый жетон для таксофона.]];
	dsc = [[На телефоне лежит {жетон}.]];
	tak = [[Я взял жетон.]];
	nouse = [[Не поможет.]];
	use = function(s, w)
		if w == tel then
			p [[Я опустил жетон в телефон.]];
			remove(s, me());
			tel.try = false
		end
	end;
}

tel = obj {
	var { try = false  };
	nam = 'телефон';
	dsc = [[На стене висит {телефон}.]];
	act = function(s)
		s.try = true
		p [[Я снял трубку, гудков не было. Я повесил трубку на место.]];
	end;
}
man2 = obj {
	nam = 'человек';
	dsc = [[За моей спиной находится {незнакомец}.]];
	act = function(s)
		if tel.try and (have 'token' or not taken 'token') then
			pn [[Я обернулся. Незнакомец снова держал руки в карманах. -- Не работает -- слабым голосом сказал я ему.]];
			p [[-- Ты забыл бросить жетон.]];
			return
		end
		if not tel.try then
			p [[Я обернулся. Незнакомец молча смотрел на меня.]];
			return
		end
		walkin 'notwork'
	end;
}
inbudka = room {
	nam = 'В будке';
	pic = 'gfx/b-tel.png';
	dsc = [[Я нахожусь внутри телефонной будки. Почему-то мне очень не нравится то, что сейчас происходит.]];
	entered = function(s)
		p [[Я вошел в будку. Незнакомец зачем-то закрыл за мной дверь. Правда, стекол в двери не было, и я слышал его у себя за спиной.]];
		lifeon(s);
	end;
	life = function(s)
		p [[-- Сейчас я буду диктовать номер -- слышу я голос за спиной.]]
		lifeoff(s)
	end;
	obj = { 'tel', 'token', 'man2' };
}

notwork = cutscene {
	nam = 'Незнакомец';
	forcedsc = true;
	hideinv = true;
	dsc = [[
		{pic gfx/b-men.png }
		Я медленно повернулся.{fading}^{cut Дальше}
		В его правой руке был какой-то предмет.{fading}^{cut Дальше}
		Из размотанных бинтов блестела сталь! Что за...{fading}^{cut Дальше}{pic gfx/b-hand.png}
		С затаенной угрозой незнакомец издал какой-то странный набор звуков.{fading}^{cut Дальше}
		-- Аоже!.{fading}^{cut Дальше}{pic gfx/b-flash.png}
		ВСПЫШКА{fading}^{cut Дальше}{walk ship1}
	]]; -- я иду
}

ship1 = dlg {
	nam = '???';
	pic = 'gfx/b-pig.png';
	var { l1 = 0, l2 = 0, l3 = 0, l4 = 0, l5 = 0 };
	entered = [[Удар в челюсь. Боль. Что за...^Я медленно приходил в себя.^Я слышал голос... Странный хриплый голос. Он что-то говорил, 
		но я никак не мог разобрать слов. Я медленно открыл глаза и увидел перед собой кабанью морду.^
		-- ЛЕСХЕ! -- я помотал головой, но кабан никуда не исчез.^
		-- ЛЕСХЕ, ДЖИ ЛЕСХЕ! -- рычала морда угрожающе.^
		Краем взгляда я оценил обстановку. Мы с кабаном находились в комнате без окон, я лежал в кресле. Второй кабан, стоял чуть поодаль и держал в руках пистолет.
		Пистолет был направлен в мою сторону.^
		-- ЛЕСХЕ, КОРСЕК, ОМО ЭНСИЖО! -- тут он занес руку для нового удара, и я понял, что нужно как-то отвечать ему.
		]]; -- карта
		    -- карта, где карта!
		    -- карта, корсекm или умрешь!
	phr = {
		{"Do you speak english?", 
			[[Кабан, казалось, сильно удивился и с секунду смотрел на меня своими маленькими глазками, 
				но затем снова размахнулся и заорал мне в лицо:^ -- ЛЕСХЕ ОМО ЭНСИЖО, КОРСЕК!]], [[ ship1.l1 = 1; ]] },
		{"Я не понимаю!", 
			[[Кабаны удивленно переглянулись, но затем тот, который был поближе, снова сжал руку в кулак и захрипел мне прямо в лицо:^ 
				-- ХГУО ХСЯЛО ПИ РСУКЖЭ, КОРСЕК!]], [[ ship1.l1 = 2 ]] },
		{"Э... М... ЭСУЖХОУ ЭСУЖ ЭНЖУЦО... ДА?", -- урод ты урод сдохни
			[[-- ЭВМЯЖУЛ КОРСЕК!-- взревел кабан и врезал мне по лицу.]], [[ship1.l1 = 3; pjump 'a2']] }, -- ублюдок корсек
		{},
		{tag = 'a2', empty = function(s) -- ублюдок
			pjump 'a3'
		end};
		{"А? КОРСЕК?", [[-- ЖЕ ХОУ КОРСЕК -- недобро улыбнулся кабан -- Е НПИ ПЕШПЕ ЛЕСХЕ! -- голос его снова перешел в крик, а кулак ургражающе сжался.]], [[ship1.l2 = 1;]] },
-- я корсек, да ты корсик а мне нужна карта

		{"ЛЕСХЕ! ЛЕСХЕ! ЛЕСХЕ!", [[ -- ЖЕ ЛЕСХЕ, ДЖИ УПЕ? -- мне показалось, что кабан немного успокоился.]], [[ship1.l2 = 2;]] },
-- карта карта карта, да карта, где она?

		{"Ты, урод, я ничего не понимаю!", [[-- СА ХОУ, КОРСЕК, СА ХОУ! -- ласково сказал кабан и ударил мне в лицо.]], [[ship1.l2 = 3;]] },
-- зря ты корсек зря ты
		{},
		{ tag = 'a3', empty = function(s)
			p 'Тут второй кабан опустил пистолет и подошел к первому.'
			p 'Некоторое время, он что-то тихо бормотал тому на ухо.'
			p 'Они оба посмотрели на меня как-то странно и второй кабан вернулся на свое место.'
			pn 'Пистолет он, тем не менее, опустил.'
			pn [[Первый кабан улыбнулся, похлопал меня по плечу и ласково сказал:]]
			p [[-- Зикжиез вуги эвих хива.]] -- сейчас Вуги убъет тебя
			pjump 'a4';
		end;},
		{"ГАДЫ! Я НЕ ПОНИМАЮ ЧТО ВАМ НАДО!", 
			[[Кабан не стал ничего отвечать, а только снова ударил мне в лицо. Я отключился на пару секунд. Кровь стекала по подбородку мне на грудь.]],
			[[ship1.l3 = 1;]]};
		{ "ЛЕСХЕ! ЛЕСХЕ! КОРСЕК ЛЕСХЕ!", 
-- карта карта, корсек корсек
			[[-- ЖЕ ЛЕСХЕ ДЖИ ЛЕСХЕ, КОРСЕК! -- ревел кабан.]],
			[[ship1.l3 = 2;]]
		},
-- да карта где карта!
		{ "Я НИЧЕГО ВАМ НЕ СКАЖУ!",
			[[-- ЦИГИЕХОХ ОДСЕХ ЗА ПЕНО -- прорычал кабан.]],
			[[ship1.l3 = 3;]]
-- хватит играть с нами
		},
		{},
		{ tag = 'a4',
			[[Я рад, что мы пришли к взаимопониманию!]], code [[ ship1.l4 = 1; pjump 'a5']] },
		
		{ 
			[[Лесхе! Корсек лесхе!]], code [[ ship1.l4 = 2; pjump 'a5' ]] },
		{},
		{ tag = 'a5',
			[[Кабаны внимательно смотрели на меня. Увидев, что я успокоился, они переглянулись.^
			-- Рсулмахоук корсек, уп рсугиим пез -- устало сказал кабан с пистолетом.^
			-- Эвик эду -- кивнул на меня первый кабан и отошел. Второй кабан поднял пистолет и прицелился мне в голову...
			]], -- проклятый корсек, он провел нас
			   -- убей его
		},
		{ [[Нет!!!]], code [[ ship1.l5 = 1; walk 'shluz' ]] },
		{ [[ЛЕСХЕ ЛЕСХЕ!!!]], code [[ ship1.l5 = 2; walk 'shluz']] },
	};
}
pig1 = obj {
	nam = '1-й свин';
	dsc = function(s)
		if flash.gun then
			p [[{Первый кабан} медленно пятится от меня.]];
		else
			p [[{Первый кабан} находится в трех шагах от меня.]];
		end
	end;
	act = [[Он одет в красный комбинезон.]];
}

pig2 = obj{
	nam = '2-й свин';
	dsc = function(s)
		if flash.gun then
			p [[{Второй кабан} стоит у стены. Кажется, он напуган.]];
		else
			p [[{Второй кабан} стоит у стены и собирается стрелять.]];
		end
	end;
	act = function(s)
		if flash.gun then
			return [[Он неуверен, но все-еще направляет пистолет на меня.]]
		end
		p [[Неужели это конец?]];
	end;
}

schair = obj {
	nam = 'кресло';
	dsc = function(s)
		if teleport.broken then
			p [[На полу валяется {кресло}.]];
			return
		end
		p [[За мной находится {кресло}.]];
	end;
	act = function(s)
		if seen 'pig1' then
			p [[Оно в крови.]];
			return
		end
		if teleport.broken then
			return [[Мне больше не нужно это кресло.]]
		end
		if teleport.seen then
			take(s)
			return [[Я взял тяжелое кресло в руки.]]
		end
		p [[Тяжелое массивное кресло. Оно навевает неприятные воспоминания.]];
	end;
	inv = [[Зачем мне кресло?]];
	use = function(s, w)
		if w == teleport then
			if teleport.n == 0 then
				p [[Я размахнулся и ударил стулом по прозрачой стенке цилиндра.
				Стенка выдержала удар.]]
			elseif teleport.n == 1 then
				p [[Я не сдавался, и нанес еще несколько мощных ударов креслом. Кажется, на прозрачной поверхности появились трещинки!]]
			elseif teleport.n == 2 then
				p [[Снова и снова я наносил удары! Раздался хруст и стенка разлетелась на множество мелких осколков!]]
				teleport.broken = true;
				drop(s)
				p [[Я бросил кресло на пол.]]
			end
			teleport.n = teleport.n + 1
		end
	end;
	nouse = function(s)
		p [[Я с трудом сдержал агрессию.]]
	end
}

card = obj {
	nam = 'карточка';
	dsc = [[На дне цилиндра {что-то} лежит.]];
	inv = [[Странная карточка белого цвета.]];
	nouse = 'Гм, не помогает.';
	var { n = 0; };
	tak = function(s)
		if not teleport.broken then
			return [[Оно за стеклом. Не достать.]], false
		end
		p [[Я забрал предмет.]]
	end;
	use = function(s, w)
		if w == sreaders then
			s.n = s.n + 1
			if s.n == 1 then
				p [[Я поднес карточку к одной из выпуклостей. Она моргнула синим цветом.]]
			elseif s.n == 2 then
				p [[Я поднес карточку к другой выпуклости. Она моргнула красным, и дверца шкафа отодвинулась вверх, открывая содержимое секции шкафа!]];
				sshkaf.opened = true
			elseif s.n == 3 then
				p [[Я поднес карточку к третей выпуклости. Она моргнула синим цветом.]]
			else
				p [[Я думаю я сделал тут все, что мог.]]
			end
		end
	end
}:disable();

teleport = obj {
	nam = 'телепорт';
	dsc = [[Слева от меня находится странное {сооружение}.]];
	var { broken = false; seen = false; n = 0; };
	act = function(s)
		if seen 'pig1' then
			p [[Выглядит как цилиндр метра два высотой. Какой-то прибор?]];
			return
		end
		if not s.broken then
			p [[Я подошел к странному сооружению.]]
			p [[Выглядит как цилиндр с прозраными тонкими стенками. Гм, на дне цилиндра я вижу какой-то предмет.]]
			s.seen = true
			card:enable();
			return
		end
		p [[Цилиндр разбит.]]
	end;
	obj = { 'card' };
}

sreaders = obj {
	nam = 'считыватели';
	dsc = [[На каждой двери шкафа я вижу какие-то {выпуклости}.]];
	act = [[Я понажимал на одну из выпуклостей, ничего не изменилось.]];
}:disable();
skafandr = obj {
	nam = 'скафандр';
	dsc = function(s)
		if here() == scor then
			return [[В углу на полу валяется {скафандр}.]];
		end
		p [[Внутри одной из секций шкафа я вижу {скафандр}!]];
	end;
	inv = [[На мне одет скафандр.]];
	tak = function(s)
		if here() == scor then
			p [[Думаю, в нем кончился воздух.]]
			p [[Я тщательно осмотрел скафандр. Он был очень тяжелым. Мне не удалось ничего найти, чтобы я мог взять с собой.]]
			return false
		end
		me():disable_all()
		p [[Сзади скафандра я обнаружил разрез, идущий вдоль всей спины. С некоторым трудом я влез внутрь.
		Теперь передо мной встала проблема, как застегнуться. К счастью, пока я думал над этой проблемой, я почувствовал что 
		разрез на спине затянулся сам.]]
	end;
	nouse = [[Не знаю, как это поможет.]];
}:disable();
sshkaf = obj {
	nam = 'скафандры';
	var { opened = false; seen = 0; };
	dsc = [[Справа у стены расположен {шкаф}.]];
	act = function(s)
		if visited 'inshkaf' then
			p [[Мне не хочется туда возвращаться.]]
			return
		end
		if seen 'pig1' then
			return [[Шкаф с тремя дверцами.]]
		end
		if not s.opened then
			s.seen = s.seen + 1
			if s.seen == 1 then
				p [[Я подергал дверцы, закрыты!]];
			else
				p [[На каждой дверце я заметил какие-то выпуклости.]];
				sreaders:enable();
			end
			return
		else
			if exist ('skafandr', s) then
				p [[Я заглянул за дверцу шкафа и не поверил своим глазам. Внутри находилось то, что было очень похоже на скафандр!]]
				skafandr:enable();
			else
				walk 'inshkaf'
			end
		end
	end;
	obj = {'sreaders', 'skafandr' };
}
plates = obj {
	nam = 'пластины';
	dsc = [[Из стены торчат какие-то полупрозрачные {пластины}.]];
	act = function(s)
		sexit.opened = true;
		p [[Я коснулся пластин. Сноп искр вырвался из разлома и стена отодвинулась в бок.]]
		path 'Выйти':enable();
	end;
}:disable();
sexit = obj {
	nam = 'дверь';
	var { opened = false };
	dsc = function(s)
		if s.opened then
			return [[{Стена}, напротив разлома, сдвинута в бок.]];
		end
		p [[Стена, напротив разлома, тоже содержит {следы повреждений}.]];
	end;
	act = function(s)
		if s.opened then
			p [[Проход ведет в небольшую квадратную комнату с белыми стенами.]];
			return
		end
		p [[Здесь тоже видны следы грубого воздействия, но стена целая... Правда в одном месте
		есть небольшой разлом, из которого виднеются какие-то синие полупрозрачные пластины... ]];
		objs(s):enable 'plates'
	end;
	obj = { 'plates'};
}
sstena = obj {
	var { seen = false; };
	nam = 'стена';
	dsc = function(s)
		if visited 'inshkaf' then
			p [[Сквозь {пролом} в стене я вижу звездное небо.]];
		else
			p [[Одна из {стен} деформирована!]];
		end
	end;
	act = function(s)
		if visited 'inskaf' then
			if s.seen then
				return [[Там космос! Открытый космос!]]
			end
			s.seen = true
			pn [[Неуверенно передвигаясь в скафандре, я направился к выходу. Еще шаг и... Что за...
			Над головой, под ногами, впереди -- везде были звезды. Ничего кроме звезд. Я чуть не шагнул в бездну космоса.
			Каким-то чудом, я успел ухватиться за рваные края разлома.]]
			p [[Частота раздражающих сигналов увеличилась. Пульсирующий звук мешал думать. Осмотревшись, я
				увидел, что стена в противоположной части комнаты тоже содержит следы повреждений.]]
			put 'sexit'
		else
			p [[Через трещины в стене из комнаты уходит воздух!]];
		end
	end
}:disable();

shluz = room {
	var { n = 1;};
	pic = function(s)
		if seen 'pig1' then
			return 'gfx/b-face.png'
		end
		if sstena.seen then
			return 'gfx/b-hole.png'
		end
		return 'gfx/b-shluz.png'
	end;
	enter = function(s, f)
		if f ~= inskaf then
			p [[Я вскочил с кресла и поднял руки! Я видел, как второй кабан медленно нажимает на спусковой крючок.]];
			lifeon(s);
		else
			sreaders:disable()
		end
	end;
	left = function(s)
		lifeoff(s);
	end;
	life = function(s)
		if flash.gun then
			if s.n <= 3 then
				local t = { "-- ЮХУ  ЖИОУПХОУДСЕХУС?! -- обратился первый кабан ко второму.", -- это дезинтегратор?
					"-- УХЛЭЖЭ УП Э ПИДУ? -- произнес кабан с пистолетом." , -- откуда он у него?
					"-- ЖИХУ ЖИМЕХ? -- произнес первый кабан.", -- что делать?
				};
				p(t[s.n])
				s.n = s.n + 1
			else
				local t = { [[Вдруг, пол под ногами содрогнулся. Я упал. Завыл какой-то сигнал, напоминающий сирену. Кабаны переглянулись и
					бросились к дальней стене. Часть стены отъехала в сторону, выпуская их в коридор с белыми стенами, стена снова закрылась.
					Я остался в комнате один.]], 

					[[На потолке комнаты начала мигать какая-то желтая лампочка. Рев сирены мешает сосредоточится.]],

					[[Пол под ногами снова содрогнулся.]],
					[[Я услышал какой-то глухой удар в стену.]];
					[[Снова удар! Стена, напротив той, через которую скрылись кабаны, начала деформироваться!]],
					[[Из стены посыпались искры!]],
					[[Я слышу хлопок! Странный свист наполнил комнату. Нет, не может быть! Я понял!]],
					[[Со страшным свистом из комнаты уходит воздух! Нужно что-то делать!]],
				};				
				p(t[s.n - 3])
				s.n = s.n + 1
				if s.n  - 3 > #t then
					s.n = 3 + #t
					sstena:enable()
				end
				if s.n - 3 == 2 then
					remove(pig1)
					remove(pig2)
				else
					return
				end
			end
		else
			p [[Нужно соображать быстро. Ситуация критическая.]];
		end
		return true
	end;
	nam = '???';
	dsc = [[Я нахожусь в странной комнате без окон. Цвет стен светло-серый, на вид они сделаны из металла.]];
	obj = { 'pig1', 'pig2', 'schair', 'teleport', 'sshkaf', 'sstena' };
	way = { vroom("Выйти", 'scor'):disable() };
}
				
inshkaf = cutscene {
	nam = 'Внутри шкафа';
	pic =  'gfx/b-skaf.png';
	forcedsc = true;
	hideinv = true;
	dsc = [[
		Я втиснулся в шкаф спиной вперед. Через несколько секунд дверь захлопнулась и я оказался в темноте.{fading}^{cut Дальше}
		Вовремя. Снаружи раздался грохот. И я почувствовал как остатки воздуха вышли из комнаты и стало тихо.{fading}^{cut Дальше}
		Я ждал. Может быть прошел час, а может быть два, я не знаю...{fading}^{cut Дальше}
		Мне было страшно, я не понимал, что происходит. Меня парализовал страх.{fading}^{cut Дальше}
		Вдруг, я услышал какой-то звук. Он шел изнутри скафандра. Каждые две секунды я слышал раздражающий звук.{fading}^{cut Дальше}
		Меня охватила паника. Я представил себе, что кончается воздух. Это могло быть так! Я вдруг понял, что я внутри запертого шкафа.{fading}^{cut Дальше}
		Как выбраться наружу? Конечно, я принялся колотить в дверь, но в скафандре это было не очень удобно.{fading}^{cut Дальше}{walk inskaf}
	]];
	obj = {
--		vway('Дальше', '{Дальше}', 'home'):disa;
	}
}
smodes = {
	"",
	"",
	"",
}

sbutton = function(n)
	return function(s)
		p [[Я прикоснулся к кнопке.]]
		sprib.n = 3
		if n == 2 then
			sprib.armed = false
			sprib.mode = sprib.mode + 1
			if sprib.mode > #smodes then
				sprib.mode = 1
			end
		else
			if sprib.mode == 1 then
				if n == 1 then
					p [[Внутри скафандра стало холоднее.]]
				else
					p [[Внутри скафандра стало теплее.]]
				end
			elseif sprib.mode == 2 then
				if n == 1 then
					p [[^-- Лупчеип гиуж лсохожиз. -- услышал я монотонный и чужой голос.]]
				else
					p [[^-- Гизи зозхиноу ги пусни. -- раздался в ушах чужой голос.]]
				end
			elseif sprib.mode == 3 then
				if n == 1 then
					p [[На правом рукаве скафандра загорелся красный сигнал.]]
					if sprib.armed  then
						p [[^ОГОНЬ! Луч пламени вырвался из правого рукава скафандра и врезался в дверь шкафа!
							Осколки двери разлетелись в разные стороны.]]
						walk 'shluz'
						return
					end
				else
					p [[На правом рукаве скафандра загорелся синий сигнал.]]
					sprib.armed = true
				end
			else
				p [[Ничего не произошло.]]
			end
		end
	end
end

spa = obj {
	nam = 'a';
	dsc = [[Я различаю несколько клавиш: {красную}, ]];
	act = sbutton(1);
}:disable();

spb = obj {
	nam = 'b';
	dsc = [[{белую}]];
	act = sbutton(2);
}:disable();

spc = obj {
	nam = 'c';
	dsc = function(s)
		p [[и {синюю}.]];
		if sprib.mode ~= 0 then
			p [[На белой кнопке виден символ, похожий на ]];
			if sprib.mode == 1 then
				p [[Y.]];
			elseif sprib.mode == 2 then
				p [[X.]];
			elseif sprib.mode == 3 then
				p [[T.]];
			end
		end
	end;
	act = sbutton(3);
}:disable();

sprib = obj {
	nam = 'приборы';
	var { mode = 0, n = 0, armed = false; };
	dsc = [[На левом рукаве скафандра расположены какие-то {приборы}.]];
	life = function(s)
		s.n = s.n - 1
		if s.n <= 0 then
			s.mode = 0
			s.armed = false
			p [[Клавиши на левом рукаве погасли.]]
			spa:disable()
			spb:disable()
			spc:disable();
		end
	end;
	act = function(s)
		lifeon(s)
		p [[Я коснулся их рукой и они засветились в темноте неярким красным светом.]]
		spa:enable();
		spb:enable();
		spc:enable();
		s.n = 3
	end;
	obj = {
		'spa';
		'spb';
		'spc';
	};
}

inskaf = room {
	nam = 'В скафандре';
	pic =  'gfx/b-skaf.png';
	dsc = [[Я нахожусь внутри скафандра.]];
	left = function(s)
		set_music 'mus/4.xm'
	end;
	obj = { 
		'sprib',
		obj {
			nam = 'дверь';
			dsc = [[Перед собой я вижу закрытую {дверь} шкафа.]];
			act = [[Закрыта.]]
		}
	};
}
global { can_read = false; know_truth = false; manual_mode = false;};

function rdit(a, b)
	return function(s)
		if can_read then return b else return a end
	end
end

blood = obj {
	nam = 'кровь';
	dsc = [[На одной из стен я вижу пятна {крови}.]];
	act = [[Нет желания это трогать.]];
}
holes = obj {
	nam = 'дырки';
	dsc = [[На полу и дверях виднеются {следы} гари. Под ногами валяются куски обшивки стен.]];
	act = function(s)
		p [[Похоже, тут было жарко.]]
		if disabled(blaster) then
			p [[Осматривая следы, я заметил какой-то предмет.]]
			blaster:enable();
		end
	end;
	obj = { 'blaster' };
};

blaster = obj {
	nam = 'бластер';
	dsc = [[Под ногами я заметил {пистолет}.]];
	inv = [[Не могу поверить, что это реальность.]];
	tak = [[Я осторожно поднял находку и повертел в руках. Я решил называть его бластером, 
			так как по-моему, именно так и должен выглядеть бластер.]];
	nouse = [[Не все вопросы можно решить при помощи бластера.]];
	use = function(s, w)
		if w == cdoors then
			if here().opened then
				return "Я уже хорошо пострелял."
			end
			p [[Выстрел из бластера только немного повредил дверь.]];
			return;
		end
		if w == skafandr then
			if taken 'gun' or seen 'gun' then
				p [[Больше ничего интересного.]]
				return
			end
			p [[Я нажал на спусковой крючок бластера. Красный луч вырвался из ствола. Не отпуская крючок я медленно провел
			лучом по правому рукаву скафандра. Повозившись немного с обрубком рукава я достал из него оружие, 
			которое помогло мне выбраться из шкафа.]]
			take 'gun'
			return
		end
	end;
}:disable();
gun = obj {
	nam = 'пушка';
	var { seen = false; };
	nouse = [[Не стреляет.]];

	dsc = [[Рядом со скафандром дымится {пушка}.]];
	inv = function(s)
		s.seen = true;
		p [[Выглядит внушительно. Сзади из пушки торчат два тонких проводка. Зеленый и красный. Я вижу странное голубое свечение на их концах.]];
		return;
	end;
	tak = function(s) p [[Не хочется ее таскать с собой. Она все еще дымится.]]; return false; end;
	used = function(s, w)
		if w == screw and have(s) and s.seen then
			p [[Я направил оружие на одну из дверей, взял отвертку и осторожно замкнул провода.
			Мощный луч вырвался из ствола и разнес дверь на куски. Я почувствовал, 
			что корпус пушки раскалился и бросил ее на пол.]]
			drop(s);
			here().opened = true
			path 'sec1':enable()
		end;
	end;
}
cdoors = obj {
	nam = 'двери';
	dsc = function(s)
		p [[Здесь есть две {двери}, расположенные в противоположных концах.]];
		return
	end;
	act = function(s)
		if not here().opened then
			p [[Закрыты.]]
			return
		end
		p [[Одна из дверей взорвана.]]
	end;
}

scor = room {
	var { t = 1, opened = false; };
	pic = function(s)
		if path 'sec1':disabled() then
			return 'gfx/b-sec2.png'
		end
		return 'gfx/b-sec2-open.png'
	end;
	nam = rdit('Тупик', '2-й отсек');
	dsc = [[Я нахожусь в небольшой комнате.]];
	life = function(s)
		s.t = s.t + 1
		if s.t > 3 then
			p [[Вдруг, я снова услышал пульсирующий звук, а затем шипение.]];
			lifeoff(s)
		end
	end;
	entered = function(s, f)
		if f == shluz then
			p [[Я вошел в квадратную комнату. Выходов из нее не было. Я обернулся, 
			и увидел, как стена вернулась на свое место и закрыла проход назад.^
			Через некоторое время писк в скафандре перешел в непрерывный. 
			Я ждал, что будет дальше. Мне просто нечего было больше делать. Вдруг, послышалось шипение
			и я почувствовал, что могу вылезти из скафандра.]]
			lifeon(s)
		end
		me():enable_all();
		drop(skafandr)
		lifeoff 'sprib'
	end;
	obj = { 'cdoors', 'holes', 'blood' };
	way = { 'sec1' };
}

sec1 = room {
	nam = rdit('Коридор', '1-й отсек');
	pic = 'gfx/b-sec1.png';
	dsc = [[Я оказался в небольшом коридоре. Мерцающий бледный свет исходит от потолка и пола. Вдоль стен я заметил проемы нескольких дверей.]];
	way = { 'scor', wroom('Дверь 1', 'Туалет', 'stoilet'), 
		wroom('Дверь 2', code [[ return nameof(room1) ]], 'room1'),
		wroom('Дверь 3', code [[ return nameof(room2) ]], 'room2'),
		wroom('В конец коридора', 'Кабина', 'cpit')};
}:disable();
me()._down = false;
sbeds = obj {
	nam = 'кровати';
	dsc = [[В противоположных концах комнаты, на расстоянии около двух метров, стояли {кровати}.]];
	act = function(s)
		me()._down = true
		p [[Я прилег на кровать.]]
	end
}

hemlet = obj {
	nam = 'шлем';
	var { connected = false; dropped = false;};
	dsc = function(s)
		if s.dropped then
			return [[На полу валяется {шлем}.]];
		end
		p [[На панели я заметил странный {шлем}.]];
	end;
	tak = "Я забрал шлем.";
	use = function(s, w)
		if w == splayer then
			return [[Для чего бы не было предназначено устрйство,
			оно сейчас не в рабочем состоянии.]];
		end
	end;
	nouse = [[Как здесь поможет шлем?]];
	inv = function(s)
		if s.connected then
			if can_read then
				return [[Мне не хочется проходить это снова.]];
			end
			p [[Я одел шлем на голову. Сквозь черное забрало 
			ничего не было видно, но через мгновение шлем включился!]];
			if player2.loaded then
				if not me()._down then
					s.connected = false
					s.dropped = true
					drop(hemlet)
					p [[Я увидел странный рисунок, который постоянно
					менял свою структуру... Все быстрее и быстрее.
					Кровь в висках бешено пульсировала.
					Вспышка, что за... Я очнулся на полу. Шлем валялся рядом.
					Наверное, он слетел, когда я потерял сознание... Что это
					было?]]
					return
				end
				me()._down = false
				can_read = true
				panel_pads:enable()
				pclr()
				walkin "reading_cube"
				return
			end
			p [[Я увидел разноцветные полосы и какой-то, как я догадался,
			текст. Больше ничего. Я снял шлем.]]
			return
		end
		p [[От шлема тянется провод с звездообразным разъемом на конце.]];
	end;
}:disable();

stable = obj {
	nam = 'стол';
	dsc = [[Между ними находился прозрачный {стол}.]];
	act = [[Ни царапины! Интересно, из чего он сделан?]];
};

cube = obj {
	nam = 'куб';
	var { seen = false; };
	dsc = [[Под ногами валяются {осколки}.]];
	tak = [[Гм... Что это? Среди осколков я нашел прозрачный куб голубого оттенка.]];
	inv = function(s)
		s.seen = true;
		if can_read then
			return [[Это гиперкуб для кубовизора.]];
		end
		p [[Красивый! И судя по всему -- прочный. Оставлю его себе.]];
		p [[Гм, у ребра куба на одной из граней я заметил
		какое-то изображение. Наверное, это текст.]];
	end;
	nouse = [[Гм... Как это тут поможет?]];
	use = function(s, w)
		if w == player2 then
			if w.opened then
				remove(s, me())
				p [[Я повертел устройство в руках и обнаружил квадратное гнездо.
				Я прислонил куб к гнезду, и он, засветившись, плавно утонул в
				корпусе. Ну и дела!]];
				w.loaded = true
			end
		end
	end
}

splayer = obj {
	nam = 'устройство';
	dsc = [[Под столом на полу валяется небольшое {устройство}.]];
	tak = [[Я поднял устройство с пола.]];
	inv = [[Похоже, устройство разбито. В его корпусе зияет дыра с обгорелыми краями.
		Сзади корпуса я обнаружил звездообразный разъем.]];
	nouse = [[Обломки тут не помогут.]];
	used = function(s, w)
		if w == screw then
			if not have(s) then
				return [[Сначала надо взять устройство.]];
			end
			p [[Я попытался разобрать устройство отверткой,
			но у меня это не получилось.]]
			return
		end
		if w == blaster then
			if have(s) then
				p [[Я положил устройство на пол и прицелился. Огонь!]]
			else
				p [[Я прицелился и выстрелил из бластера.]]
			end
			p [[Осколки устройства разлетелись по комнате.]];
			remove(s, me())
			put 'cube';
		end
	end;
}

swin = obj {
	nam = 'окно';
	dsc = [[Напротив выхода из комнаты в стене зиял {иллюминатор}.]];
	act = [[Я посмотрел в черную бездну космоса и поежился.]];
}
room1 = room {
	nam = rdit('Комната', 'Каюта');
	pic = 'gfx/b-room1.png';
	dsc = [[Похоже, эта комната служила каютой. На стенах и двери есть
		следы гари.]];
	obj = { 'sbeds', 'stable', 'splayer', 'swin' };
	way = { 'sec1' };
}
player2 = obj {
	var { opened = false; loaded = false;};
	nam = function(s)
		if s.opened then
			return 'устройство'
		end
		p 'коробка';
	end;
	inv = function(s)
		if hemlet.connected then
			p [[К устройству подключен шлем.]]
			return
		end
		if not s.opened then
			s.opened = true
			p [[Я вскрыл коробку и обнаружил в ней
				новенькое устройство с входом под звездообразный разъем!]];
				return;
		end;
		p [[Может быть, это что-то вроде моего кассетника?]]
	end;
	used = function(s, w)
		if w == hemlet then
			if w.connected then
				return [[Уже подключен.]]
			end
			if not s.opened then
				return [[Как подключить это к коробке?]];
			end
			w.connected = true
			p [[Не долго думая, я подключил провод к устройству.]];
		end
	end;
	nouse = [[Чудесное устройство не помогло.]];
}
tbox = obj {
	nam = 'ящик';
	dsc = [[На одном из {ящиков} маркировка содержит такое же изображение, как и на кубе.]];
	act = function(s)
		if can_read then
			return [[Коробка с кубовизорами.]];
		end
		if have 'player2' then
			return [[Больше ничего интересного.]];
		end
		p [[Я осмотрел ящик и обнаружил, что его крышка немного сдвинута вбок.]];
		p [[Заглянув внутрь, я обнаружил там множество одинаковых небольших коробок.
		Я взял одну.]];
		take 'player2'
	end;
	used = function(s, w)
		if w == blaster then
			p [[Я собрался применить бластер, когда заметил, что крышка ящика приоткрыта.]];
			return
		end
		if w == cube then
			return [[Да, это тот ящик.]];
		end
	end;
}:disable();
boxes = obj {
	nam = 'коробки';
	var {selected = false; };
	dsc = [[Множество {ящиков} разбросаны по комнате.]];
	act = function(s)
		p [[Ящики свалены в комнате кое-как. Многие из них промаркированы.]];
		if can_read then
			p [[Алкоголь, бытовая техника, драгоценности -- ничего интересного.]]
			return
		end
	end;
	used = function(s, w)
		if w == blaster then
			p [[Расстрелять все ящики? Мне нужно
			сузить зону поиска.]];
			return
		end
		if w == cube then
			if not cube.seen then
				return
			end
			if not s.selected then
				s.selected = true
				p [[Я обошел все ящики, сверяясь с изображением на кубе.
				Нашел! Кажется, часть изображения на ящике совпадает
				с надписью на кубе!]];
				tbox:enable();
				return
			end
			p [[Я еще раз сверился с изображением на кубе. Да, они совпадают.]];
			return
		end
	end;
	obj = { 'tbox' };
}
room2 = room {
	var { light = false };
	pic = 'gfx/b-boxes.png';
	nam = rdit('Склад', 'Трюм');
	dsc = [[Я оказался в комнате, заваленной ящиками.]];
	obj = { 'boxes' };
	way = { 'sec1' };
}

unitaz = obj {
	nam = 'унитаз';
	dsc = [[Здесь установлен {унитаз}.]];
	act = [[Гм... Внутри ничего нет.]];
}

bath = obj {
	nam = 'ванная';
	dsc = [[В углу расположена кабинка {душа}.]];
	act = [[Не время мыться.]];
}

stoilet= room {
	nam = 'Туалет';
	pic = 'gfx/b-toilet.png';
	var { t = 0; };
	enter = function(s)
		if not visited(s) then
			p [[Дверь отъехала вбок и я заглянул внутрь. Я оказался в маленькой кабинке. Внимательно осмотревшись, я пришел
			к выводу, что это туалет.]];
		else
			p [[С меня достаточно.]]
			return false
		end
	end;
	obj = { 'bath', 'unitaz' };
	way = { vroom('Выйти', 'sec1') };
	life = function(s)
		s.t = s.t+ 1
		if s.t > 7 then
			lifeoff(s)
			p [[Внезапно, дверь туалета открылась!]]
		end
	end;
	exit = function(s)
		if s.t > 7 then
			lifeoff(s)
			return "С чувством облегчения я выбежал из туалета."
		end
		p [[Я попытался выйти, но дверь не открывалась!]]
		if not live(s) then
			lifeon(s)
			s.t = 1 
		end
		return false
	end;
};

screen = obj {
	nam = 'экран';
	dsc = [[В фронтальной части расположены широкие наблюдательные {окна}.]];
	act = function(s)
		if know_truth then
			if speed > 300 then
				return [[Я вижу пламя! Горит обшивка!]]
			end
			if speed > 200 then
				p [[Корабль вошел в атмосферу! У меня мало времени!]]
				return
			end
			return [[Земля приближается. Скоро корабль войдет в атмосферу.]]
		end
		p [[Я вижу Землю! Родную Землю!]];
	end;
}

logs = obj {
	nam = 'бортовой журнал';
	dsc = [[бортовой {журнал}.^^]];
	act = function(s)
		walkin 'logs_room';
	end;
};
logs_room = room {
	nam = 'Бортовой журнал';
	pic = 'gfx/b-logs.png';
	var { num = 0, shown = false; };
	forcedsc = true;
	left = function(s)
		if know_truth and not s.shown then
			s.shown = true
			p [[Итак, я узнал горькую правду. Звездолет, на котором я находился, без топлива и
			со взведенной бомбой падал на Землю. Горький конец для меня, и для моего мира, 
			который погрязнет в ядерной войне и будет разграблен пришельцами...^
			Что они нашли на нашей планете? Хотя не все ли теперь равно? Что я могу сделать?
			Мои родители, что будет с ними?]]
		end
	end;
	enter = function(s) p [[Я коснулся клавиши и откуда-то из панели выдвинулся полупрозрачный экран.]]; s.num = 0; end;
	dsc = function(s)
		if s.num == 0 then
			return
		end
		p [[Я коснулся надписи на экране и на нем появилось видеоизображение.]];
		if s.num == 1 then
			p [[Я видел кабину звездолета. Перед пультом стоял человек в скафандре, но шлем его был снят.
			За ним, у двери стояли еще двое, они держали кабана.^
			-- Думал провести Корсека? Не по тебе задачка, свиное рыло! -- человек говорил не оборачиваясь.^
			-- Чтобы ты знал, он сдал вас. Тебя и твоего капитана -- в голосе незнакомца появилась издевка -- Кстати, это была
			его идея переименовать ваше корыто? Как оно там называлось раньше, кажется, "БАБОЧКА"? ^
			-- Э...^
			-- Как видишь, не смотря на свой символизм, новое название вам не помогло. Корсек сказал, 
			что у вас на борту есть квантовое оружие, и он знает, что мне оно нужно для одного дела...^
			-- Проклятый Корсек, откуда он узнал!^
			-- Заткнись! Я хочу немного обрадовать тебя, хотя Корсек уже, наверняка, покинул эту планету,
			ваше добро не пропадет даром. Этот дремучий мир висит на волоске, достаточно немного нарушить баланс, 
			и разразится ядерная война. Ты знаешь историю, Вуги?^
			-- Я.. ^
			-- Молчать! Это был риторический вопрос. В общем, мы сбросим вашу малютку на эту убогую планету,
			так и не покинувшую переходную эпоху, но такую богатую. Об этой планете буду знать только я... я и Корсек...^
			-- А...^
			-- Заткнись! Может быть Корсек еще не успел стартовать, а мы тянем время. Компьютер! Выполняй мои команды.
			Отложенная задача. Начать через 10 минут. Курс на 0 орбитальную высоту, скорость 12, сбросить топливо. Выполнять.^
			-- Да, сэр. -- ответил синтезированный голос.^
			-- Новый пароль на выполнение команд -- "ВОЗВРАЩЕНИЕ".^
			-- Да, сэр.^
			-- Уходим, Вуги, сейчас ты мне покажешь где детонаторы.]];
		elseif s.num == 3 then
			p [[Я увидел помещение трюма. Кабан копается в коробке. В дверях появляется второй кабан.^
			-- Вуги, что ты там делаешь?^
			-- Всегда хотел посмотреть как действуют эти штуки.^
			-- А у тебя есть гиперкуб?^
			-- Есть...^
			-- А что на нем?^
			-- Видишь ли...^
			-- Что?^
			-- Букварь.^
			-- Ха ха ха ха!^
			-- Заткнись Зек, какая разница что там?^
			-- Брось это дело, Вуги, не для того мы грабили этого бедного торговца, чтоб ты попортил весь товар...]]
		elseif s.num == 2 then
			p [[В небольшом пространстве каюты две кабаньи фигурки с бластерами выглядят сильно напуганными.^-- Зек, давай лучше откроем им, они все-равно доберутся до нас рано или поздно!^
			-- Лучше поздно, Вуги, лучше поздно, чем рано! Проклятье, что это?^
			-- Кубовизор... Ты наступил на него. ... Ох, зачем ты расстрелял его?^
			-- Заткнись, не зли меня, это все Корсек, он обхитрил и подставил нас, 
				я уверен, что это Черный Мо, только бы это был не он!^
			-- Может, это полиция?^
			-- Не мели чепухи, Вуги! С каких это пор полиция научилась брать на абордаж?^
			-- Они ломают дверь! Они ломают дверь!]];
		elseif s.num == 4 then
			p [[Я увидел пространство шлюза. Два кабана стояли возле цилиндра и разговаривали.^
			-- Ну что Вуги, Корсек попался! Мы обхитрили его. Обхитрили этого пройдоху! Я говорил тебе, он не мог не клюнуть на эту удочку!^
			Кабаны довольно захрюкали. Тот, кого звали Вуги, держал в руках пистолет.^
			-- Держи его на мушке, а я его встречу прямо у ретранслятора.^
			-- Зек, гиперфон!^
			-- Что?^
			-- Гиперфон!^
			-- Где?^
			-- В кармане! Это Корсек!^
			-- Ах ты, сингулярность тебя подери, не можешь изъясняться понятней! Проклятая трубка, вот она!!!^
			-- ...^
			-- Это Корсек, он идет! Встречаем его!^
			-- Ты выключил гиперфон?^
			-- Проклятье, нет, но... Он идет, ретранслятор...^
			Вспышка света осветила шлюз. Зек быстро прислонил что-то белое к ретранслятору и стеклянная поверхность пропустила его в
			капсулу. Он шагнул внутрь и ударил в челюсть ... меня!!! Это был я в ретрансляторе.^
			-- Он вырубился, давай кресло сюда...^
			-- Хлипкий какой-то. И это за его голову объявлена награда в 100000 кредитов?^
			-- А ты его видел когда-нибудь?^
			-- Только по гипервизору, но ты же знаешь, они все на одно лицо...^
			Хрюкающий смех.^
			-- Так, он приходит в себя, отойди. Я с ним поговорю.^
			]]
			pn [[-- Карта, где карта?^Карта, Корсек, или умрешь!]]
			if ship1.l1 == 1 then
				pn [[-- Do you speak english? -- удар в лицо.]];
				pn [[-- Карта, Корсек, или умрешь!]];
			elseif ship1.l1 == 2 then
				pn [[-- Я не понимаю! -- для кабанов непонятный язык оказался неожиданностью.]]
				pn [[-- Хватит валять дурака, Корсек!]];
			elseif ship1.l2 == 3 then
				pn [[Я издал некую последовательность звуков, которую с натяжкой на простом галактическом можно было принять за:^
				-- Урод, ты урод, сдохни!^
				-- Ублюдок, Корсек! -- взревел Зек и обрушил свой удар. Похоже, он понял фразу именно так.]]
			end
			if ship1.l2 == 1 then
				pn [[-- Я Корсек? -- спросил я.^
				-- Да, ты Корсек, а мне нужна карта!]];
			elseif ship1.l2 == 2 then
				pn [[-- Карта, Карта, Карта! -- кричал я залитый кровью.^
				-- Да, карта, где она?]];
			else
				pn [[-- Ты, урод, я ничего не понимаю! -- хорошо (или, все-таки, жаль?), что кабаны не знают русского!^
				-- Зря ты так, Корсек, зря! -- улыбнулся кабан и ударил в лицо.]]
			end
			if ship1.l3 == 1 then
				pn [[-- Гады, я не понимаю что вам надо! -- я снова перешел на русский.^
				Еще один удар.]]
			elseif ship1.l3 == 2 then
				pn [[-- Карта, карта, Корсек, Корсек! -- кричал я.^
				-- Да, карта, где карта! -- ревел Зек.]];
			else
				pn [[-- Я ничего вам не скажу! -- упрямился я на русском.^
				-- Хватит играть с нами!]];
			end
			pn [[Тут Вуги и Зек о чем-то зашептались, поглядывая на мое тело, безжизненно лежащее в кресле.
			Затем, Зек спокойно сказал:^ -- Сейчас Вуги убъет тебя.]];
			if ship1.l4 == 1 then
				pn [[-- Я рад, что мы пришли к взаимопониманию -- сказал я, очевидно, не понимая происходящее.]];
			else
				pn [[-- Карта, Корсек, Карта -- заладил я как попугай.]];
			end
			pn [[Кабаны снова переглянулись.^-- Не он. Проклятый Корсек провел нас.^
			-- Убей его.]];
			if ship1.l5 == 1 then
				pn [[-- Нет! -- я увидел как Вуги собирается стрелять.]];
			else
				pn [[-- Карта, карта -- не унимался я.]];
			end
			p [[Я вскочил с кресла (похоже, страх придал мне сил) и поднял руки вверх.^
			Дальше я бегло просмотрел то, что и так знал.^
			И вот, когда в скафандре я забрался в шкаф, сквозь пролом в стене в шлюз хлынули 
			люди в скафандрах. Один из них подбежал к двери в отсек, сел на корточки и принялся что-то делать.
			Дверь открылась. Коридор прочертили выстрелы бластеров, люди в скафандрах проследовали в коридор, 
			дверь за ними закрылась.^
			Долгое время ничего не происходило, потом дверь в шлюз снова открылась -- захватчики возвращались к пролому.]]
		end
	end;
	act = function(s, w)
		if w == 'отмена' then
			if s.num ~= 0 then
				s.num = 0
				p [[Видеоизображение погасло.]]
				objs(s)[1]:enable()
				objs(s)[2]:enable()
				objs(s)[3]:enable()
				objs(s)[4]:enable()
				return
			end
			p [[Полупрозрачный экран исчез в недрах панели.]]
			walkout 'panel'
			return
		end
		if w == 'мостик' then
			s.num = 1
			know_truth = true
		elseif w == 'каюта' then
			s.num = 2
		elseif w == 'трюм' then
			s.num = 3
		elseif w == 'шлюз' then
			s.num = 4
		end
		objs(s)[1]:disable()
		objs(s)[2]:disable()
		objs(s)[3]:disable()
		objs(s)[4]:disable()
		return true
	end;
	obj = {
		vobj("мостик", "{Капитанcкий мостик}^"),
		vobj("каюта", "{Каюта}^"),
		vobj("трюм", "{Трюм}^"),
		vobj("шлюз", "{Шлюз}^"),
		vobj("отмена", "{Закончить}"),
	}
}
autopilot = obj {
	nam = 'автопилот';
	var { see =  false; on = true;};
	dsc = [[{автопилот},]];
	act = function(s)
		if not s.on then
			p [[Надпись "Автопилот" больше не горит.]];
			return
		end
		s.see = true;
		computer_dlg:pon 'pass'
		p [[Надпись "Автопилот" горела зеленым. Я нажал на клавишу, но ничего не изменилось.]];
	end;
};
stick = obj {
	nam = 'штурвал';
	dsc = [[В кабине я вижу два {штурвала}.]];
	act = function(s)
		if autopilot.on then
			p [[Я подергал один из штурвалов, но он не поддавался.]]
			return
		end
		p [[Я сдвинул ручку штурвала вправо и увидел, как корабль начал медленно вращаться по часовой стрелке. Как в "Элите"!
		Я потянул ручку на себя, корабль начал менять направление, но потом снова устремил свой нос к Земле. Я отпустил ручку.
		Наверное, мощности маневровых двигателей не достаточно, чтобы изменить курс.]];
	end
}
speech = obj {
	nam = 'компьютер';
	dsc = [[голосовое {управление},]];
	act = function(s)
		if manual_mode then
			manual_mode = false
			p [[-- Осуществлен выход из ручного режима.]]
		end
		walkin 'computer_dlg'
	end;
}

hjump = obj {
	nam = 'гиперпрыжок';
	dsc = [[{гиперпереход},]];
	act = function(s)
		if autopilot.on then
			return [[Я нажал на клавишу, она моргнула зеленым, но ничего не изменилось.]]
		end
		if not manual_mode then
			p [[Я нажал на клавишу.]]
			p [[Клавиша моргнула красным и погасла.^-- Действие некорректной команды отменено -- послышался синтезированный голос.]]
			return
		end
		walkin 'hyperjump'
	end;
}

panel_pads = obj {
	nam = 'приборы';
	dsc = [[Я внимательно осмотрел панель. На некоторых клавишах были надписи:]];
	obj = { 'autopilot', 'speech', 'hjump', 'logs'};
}:disable();

panel = obj {
	nam = 'панель';
	dsc = [[Приборная {панель} помигивает в неярком освещении кабины.]];
	act = function(s)
		p [[Приборная панель занимает всю фронтальную часть кабины.
		Множество каких-то индикаторов и переключателей.
		Разноцветные огоньки мерцают, словно звезды, которые я вижу
		сквозь смотровые окна.]];
		p [[Мнда... Это не сильно похоже на управление Коброй в "Элите".]];
		if disabled(hemlet) then
			hemlet:enable();
			p [[На панели я что-то заметил.]];
			return
		end
--		walkin 'panel1'
	end;
}
schairs = obj {
	nam = 'кресла';
	dsc = [[Перед панелью установлены два массивных {кресла}.]];
	act = function(s)
		me()._down = true
		p [[Я сел в одно из кресел.]]
	end;
}
cpit = room {
	nam = 'Кабина';
	pic = 'gfx/b-cabin.png';
	entered = function(s)
		p [[В конце коридора находилась дверь. Когда я подошел к ней, она бесшумно отъехала наверх, пропуская меня дальше.]];
		if not visited(s) then
			p [[Я зашел внутрь и сердце мое дрогнуло!
			Я находился в звездолете! В этом не было никаких сомнений!
			А комната, в которой я оказался, была его кабиной!]];
		end
	end;
	obj = { 'screen', 'panel', 'hemlet', 'panel_pads', 'schairs', 'stick'};
	way = { 'sec1' };

};

reading_cube = cutscene {
	nam = 'В шлеме';
	hideinv = true;
	forcedsc = true;
	dsc = [[
		{pic gfx/b-hemlet.png}
		Я одел шлем. Сначала было темно. Потом я увидел перед собой цветное изображение...{fading}^{cut Дальше}
		Как калейдоскоп. Изображение постоянно менялось, я не успевал следить за ним,
		все быстрее и быстрее...{fading}^{cut Дальше}
		Я не успевал следить за ним, но одновременно с этим я чувствовал, 
		что мое подсознание пристально следит за чередой метаморфоз, следует за ним...{fading}^{cut Дальше}
		Все быстрее и быстрее... Мое сердце бешено колотилось... Вспышка! Что за...{fading}^{cut Дальше}
		... Я медленно приходил в себя... Шлем был все еще на мне. Но теперь изображения
		не было. Я снял шлем и оглянулся. Что это было?{fading}^{cut Дальше}
		Мой взгляд бесцельно блуждал по потолку,  стенам... ВОЗМЕЗДИЕ!{fading}^{cut Дальше}{cls}
		ВОЗМЕЗДИЕ? Эта надпись была сделана над дверным проемом. ВОЗМЕЗДИЕ.
		Надпись на простом галактическом, шесть букв Генонского алфавита, которые складывались
		в простое слово "ВОЗМЕЗДИЕ", судя по всему -- название звездолета на котором
		я находился. Я знал простой галактический так же хорошо, а может и лучше,
		чем родной русский!{fading}^{cut Дальше}
		Я встал. Похоже, я загрузил в себя программу. Так же, как загружал машинные коды в свой "Спектрум" на Земле... Дома.{fading}^{cut Дальше}{code walkout(from())}
	]];
}
global { speed = 200; altitude = 8011; };
computer_dlg = dlg {
	nam = 'Компьютер';
	pic = 'gfx/b-cabin.png';
	entered = [[-- Слушаю ваши команды, сэр! - прозвучал синтезированный голос.]];
	left = [[-- Отмена голосового управления.]];
	phr = {
		{ always = true, "Что с кораблем?", 
			function(s)
				p [[-- Звездолет 2 класса "ВОЗМЕЗДИЕ". Текущий статус: разгерметизация шлюза, в остальных отсеках давление воздуха 80% от нормы,
			генераторы гравитационного поля: в норме, топливо: 3%, возможность гиперперехода: отсутствует, скорость:]];
			if speed > 500 then
				p('повреждение датчиков,');
			else
				p(speed,",");
			end
			p [[орбитальная высота: ]];
				if know_truth then
					speed = speed + 7
					altitude = altitude - speed
				end
				if altitude < 1000 then
					p " повреждение датчиков!";
				else
					p(altitude,".");
				end
			end
		},
		{ false, always = true, tag='pass', "Отключить автопилот.", code [[ walkin 'passwd' ]] },
		{ false, always = true, tag='manual', "Изменить курс.", "-- Запасов топлива недостаточно." },
		{ false, tag='manual', "Выполнить гиперпрыжок.", "-- Выполнение некорректной команды остановлено.", [[ pon 'manual2' ]]; },
		{ false, tag = 'manual2', "Почему нельзя выполнить гиперпрыжок?", "-- Невозможен выход из подпространства.", [[ pon 'manual3' ]]; },
		{ false, tag = 'manual3', "Почему невозможен выход из подпространства?", "-- Недостаточно топлива для создания античервоточины.", [[ pon 'manual4' ]] },
		{ false, tag = 'manual4', "Можно ли войти в подпространство?", "-- Достаточно топлива для создания входной червоточины.", [[ pon 'manual5' ]] },
		{ false, always = true, tag = 'manual5', "Сделай входную червоточину!", "-- Противоречивые команды могут быть выполнены только в ручном режиме.", [[ pon 'manual6' ]] },
		{ false, always = true, tag = 'manual6', "Включить ручной режим!", code [[ walkin 'passwd2' ]] },
		{ always = true, "Ничего не нужно, спасибо.", code [[walkout(from())]] },
	}
}
passwd = keyboard {
	nam = 'Пароль';
	cursor = img 'gfx/b-cursor.gif';
	forcedsc = true;
	dsc = [[-- Для отмены программы назовите пароль.]];
	exit = function(s)
		if s.text == 'ВОЗВРАЩЕНИЕ' then
			p '-- Автопилот отключен.'
			walkout(from())
			autopilot.on = false
			here():poff 'pass'
			here():pon 'manual'
			know_truth = true
			return
		end
		p [[-- Доступ запрещен.]]
		walkout 'cpit'
		return false
	end
}
passwd2 = keyboard {
	nam = 'Пароль';
	cursor = img 'gfx/b-cursor.gif';
	forcedsc = true;
	dsc = [[-- Для отключения автоматического содействия назовите технологический пароль.]];
	exit = function(s)
		if s.text == 'БАБОЧКА' then
			p '-- Включен ручной режим.'
			manual_mode = true;
			walkout 'cpit'
			return false
		end
		p [[-- Доступ запрещен.]]
		walkout 'cpit'
		return false
	end
}
hyperjump = cutscene {
	nam = 'Прыжок';
	enter = function(s)
		set_music 'mus/5.it'
	end;
	hideinv = true;
	forcedsc = true;
	dsc = [[
		{pic gfx/b-face.png}
		Я сел в кресло. Ноги мои дрожали. Несмотря на то, что в кабине стало жарко, я чувствовал, как со лба выступает холодный пот.
		В любом случае, мне было нечего терять. Корабль обречен. Переход в подпространство без шанса на возврат тоже не сулил ничего хорошего.^
		И все-таки, пока я жив, я должен был делать то, что делаю...{fading}^{cut Дальше}
		Я несколько раз вздохнул и нажал на кнопку гиперперехода. Прощайте, мои родители. Жаль, что так все вышло. Мне, наверное, будет проще
		чем вам, но я не в силах сделать что-то лучшее, чем просто прыгнуть в ведьмино пространство.{fading}^{cut Дальше}{pic gfx/b-hyper.png}
		Корабль задрожал и в окнах я увидел воронку червоточины, она моментально выросла, а корабль все несся на нее, содрогаясь всем корпусом.{fading}^{cut Дальше}
		ВСПЫШКА{fading}^{cut Дальше}{cls}{pic gfx/b-space.png}
		Вот оно, подпространство. Кажется, здесь нет направлений. Корабль по прежнему сильно трясет от гравитационных перегрузок. И что мне делать?
		Просто ждать? А что если время здесь остановлено? И я буду лететь так вечность?{fading}^{cut Дальше}
		Вдруг, корпус корабля содрогнулся с новой силой. Перед собой я увидел растущую червоточину. Я не мигая смотрел на ее движущиеся завихрения, 
		они становились все ближе... Что это? Все-таки, хватило топлива на выходную червоточину? Или?{fading}^{cut Дальше}
		{pic gfx/b-flash.png}
		ВСПЫШКА!{fading}^{cut Дальше}{code walk 'cor'}
	]];
}


theend = room {
	nam = '...';
	hideinv = true;
	forcedsc = true;
	pic = 'gfx/b-theend.png';
	entered = function()
		set_music 'mus/intro.xm'
	end;
	dsc = [[Я закрыл за собой дверь и, обернувшись, постоял на пороге. Тревожное ощущение дежа вю все не покидало меня,
		но чувство тяжести и приятная холодность разводного ключа в правой руке вселяло уверенность. Уверенность в том, что не смотря ни на что, все будет хорошо.^
		Я постоял так еще немного, а потом направился к лифту, прогоняя тревожные мысли и стараясь не обращать внимания на запах сигарет.^
		Надо сходить за хлебом, пока магазин не закрылся.^^]]..txtc[[КОНЕЦ^^]]..txtr('24.10.2012^Школьник^специально для^ИНСТЕДОЗ #1');
	
}
