--$Name: Практикант$
--$Version: 0.8$

instead_version "1.8.0"
game.codepage = "UTF-8"

require "dash"
require "snapshots"
require "hideinv"
require "quotes"

game.act = "Не получается."

function init()
  set_music ("mus/trainee_glide.xm")
end

main = room {
  nam = "",
  dsc = txtb(txtc("ПРАКТИКАНТ^^")) .. "^Андрей Лобанов^cпециально для ИНСТЕДОЗ #1.^Курган, 2012 год.^^В игре использована следующая музыка:^Bassie / The Clan  - Free your mind^T-reks / WP - Age of Loneliness^Pauli Merilainen - Electric Delusion",
  obj = { vway("Далее", "{Далее}", "prologue0") },
}

prologue0 = room {
  nam = "Вступление",
  dsc = [[Здравствуйте. Я практикант в НИИ прикладной кибернетики. У нас здесь много интересного.^^
  Например, на прошлой неделе кто-то из программистов в лаборатории искусственного интеллекта пошутил, и наша гордость - ПИА (программируемый интеллектуальный автомат) отказывался принимать новые задачи под предлогом лени. А чуть раньше, в другой лаборатории, электронно-механический протез руки отвешивал оплеухи во время визита директора.^^
  В общем, у нас здесь здорово. Практика моя протекает познавательно и в будущем, после защиты диплома, я хочу здесь работать.]],
  obj = { vway("Далее", "{Далее}", "prologue1") },
}

prologue1 = room {
  nam = "Вступление",
  pic = "gfx/trainee_01.png",
  dsc = [[В это утро я сидел на своём рабочем месте и ждал когда придёт мой куратор, чтобы дать мне очередное задание. Стрелка настенных часов уже приближалась к десяти часам утра, а куратор всё не приходил.^^
  Когда стрелка перевалила за отметку одиннадцати часов, мне стало скучно ждать куратора и я решил выйти посмотреть что происходит снаружи.]],
  obj = { vway("Далее", "{Далее}", "lab101") },
}

lab101 = room {
  nam = "Лаборатория 101";
  pic = "gfx/trainee_02.png",
  _door = 1;
  dsc = function(s)
    v = "Лаборатория автономных кибернетических устройств. Здесь я прохожу производственную практику уже полтора месяца."
    if not s._seen then
      s._seen = true
      v = v .. "^^В этой лаборатории сейчас ведутся разработки автономных исследовательских устройств для отправки их на планеты солнечной системы в качестве пионеров-исследователей."
    end
    return v
  end,
  act = function (s, w)
    if w == "Окна" then
      return "За окном яркое июньское утро."
    elseif w == "Дверь" then
      if s._door == 1 then
        s._door = 2
        set_music("mus/trainee_00001.it")
	      return "Я толкнул дверь, но она не открылась. Меня заперли в лаборатории!"
      elseif s._door == 2 then
	      s._door = 3;
	      return "Я попробовал толкнуть дверь сильнее, но она всё равно не поддалась."
      elseif s._door == 3 then
	      s._door = 4
	      s.way:add(coridor1)
	      return "Я разбежался и со всей силы ударил дверь плечом. Замок просто вырвало из двери и я рухнул на пол."
      else
	      return "Дверь открыта. Не думал что она окажется такой хлипкой."
      end
    end
  end,
  obj = { vobj("Окна", "Через большие {окна} в лабораторию врывается яркий солнечный свет."),
	  vobj("Дверь", "Напротив окон находится {дверь} в коридор.") },
}

lab102 = room {
  nam = "Лаборатория 102",
  pic = "gfx/trainee_04.png",
  dsc = "Просторная лаборатория протезирования. Именно здесь раздавал оплеухи тот протез руки.",
  enter = function (s)
    if not s._opened then
      p "Дверь заперта."
      put (lab102_door, coridor1)
      return false
    end
  end,
  act = function (s, w)
    if w == "Окна" then
      return "Окна выходят во внутренний двор нашего НИИ. Снаружи располагается небольшой парк со скамейками. После обеда я люблю прогуливаться по этому маленькому парку."
    elseif w == "Образцы" then
      if not s._key_put then
        s._key_put = true
        put (workshop_key, s)
      end
      return "На меня они всегда действовали угнетающе. Словно конечности, не нашедшие хозяев."
    end
  end,
  obj = { vobj("Окна", "Напротив входа расположены огромные {окна}."),
      	  vobj("Образцы", "Повсюду лежат, стоят, висят полуразобранные {образцы} протезов.") },
  way = { "coridor1" },
}

workshop_key = obj {
  _dynamic_nam = "Ключ",
  nam = function (s)
    return s._dynamic_nam
  end,
  dsc = "Возле одного из протезов лежит {ключ}.",
  tak = "Я взял ключ.",
  inv = function (s)
    if s._dynamic_nam == "Ключ" then
      s._dynamic_nam = "Ключ от мастерской"
    end
    return [[Ключ с биркой, на которой написано "Мастерская".]]
  end,
  use = function (s, w)
    if w == workshop_door then
      workshop._opened = true
      disable (s)
      remove (workshop_door, coridor1)
      return "Я отпер дверь мастерской."
    elseif w == lab102_door then
      return "Ключ не подошёл."
    else
      return "Как я могу сделать это?"
    end
  end,
}

lab102_door = obj {
  nam = "Дверь в лабораторию 102",
  dsc = "{Дверь} в лабораторию 102 заперта.",
  act = "Не могу открыть.",
}

workshop = room {
  nam = "Мастерская",
  pic = "gfx/trainee_05.png",
  dsc = "Мастерская. Здесь изготавливаются все нестандартные детали. Большое помещение с разнообразными верстаками, станками, заготовками и инструментами.",
  enter = function (s)
    if not s._opened then
      p "Дверь заперта."
      put (workshop_door, coridor1)
      return false
    end
  end,
  obj = { "cutters", "insulating_tape", "instrument_box" },
  way = { "coridor1" },
}

cutters = obj {
  nam = "Бокорезы",
  dsc = "На штанге висят {бокорезы}.",
  tak = "Я взял бокорезы.",
  inv = "Новые бокорезы с резиновыми ручками.",
  use = function (s, w)
    if w == wire and not w._cleared then
      w._cleared = true;
      return "Я зачистил концы провода."
    elseif w == electrical_cabel and not w._cleared then
      if electrical_switch._switchoff == false then
        walk (death)
      else
        w._cleared = true;
        return "Я зачистил оборванный провод."
      end
    else
      return "Не стоит перекусывать это."
    end
  end,
}

insulating_tape = obj {
  nam = "Изолента",
  dsc = "На верстаке лежит моток {изоленты}.",
  tak = "Я взял моток изоленты.",
  inv = "Моток чёрной изоленты из ПВХ.",
  use = function (s, w)
    if w == electrical_cabel and w._fixed then
      if not w._isolated == true then
        w._isolated = true
        return "Я заизолировал места скрутки."
      end
    else
      return "В этом нет смысла."
    end
  end,
}

instrument_box = obj {
  nam = "Ящик",
  dsc = "Под верстаком лежит {ящик} с инструментами.",
  act = function (s)
    if not s._opened then
      s._opened = true
      put (wire, workshop)
      return "Я открыл ящик."
    else
      return "Больше ничего интересного в ящике я не обнаружил."
    end
  end,
}

wire = obj {
  nam = "Провод",
  dsc = "В ящике лежит кусок медного изолированного {провода}.",
  tak = "Я взял провод.",
  inv = function (s)
    if not s._cleared then
      return "Кусок медного провода в толстой изоляции."
    else
      return "Кусок медного провода в толстой изоляции. Концы провода зачищены."
    end
  end,
  use = function (s, w)
    if w == electrical_cabel then
      if not w._cleared then
        return "Сперва обрезанный провод надо зачистить."
      elseif not s._cleared then
        return "Что можно сделать незачищенным проводом?"
      elseif s._cleared == true then
        w._fixed = true
        inv():del("wire")
        return "Скрутками я соединил обрыв куском провода."
      end
    end
  end,
}

coridor1 = room {
  nam = "Коридор первого этажа",
  pic = "gfx/trainee_03.png",
  dsc = "Широкий и пустынный коридор.",
  act = function (s, w)
    if w == "main_door" then
      if not s._seen then
        s._seen = true;
      end
      return "Я попробовал открыть дверь. Она оказалась заперта."
    end
  end,
  enter = function (s, f)
    if f == stair1 and not s._secure_seen then
      s._secure_seen = true
      here().way:add(secur)
      return "С лестницы я увидел кабинку охранника. Почему-то я совсем забыл о её существовании."
    end
  end,
  obj = { "main_door" },
  way = { "lab101", "lab102", "workshop", "stair1" },
}

main_door = obj {
  nam = "Входная дверь",
  dsc = "Входная {дверь} выполнена из хитрого и очень прочного прозрачного полимера, придуманного в нашем НИИ.",
  act = function ()
    if not coridor1._seen then
      coridor1._seen = true;
    end
    return "Я попробовал открыть дверь. Она оказалась заперта."
  end,
}

workshop_door = obj {
  nam = "Дверь в мастерскую",
  dsc = "{Дверь} в мастерскую заперта.",
  act = "Не открывается.",
}

secur = room {
  nam = "Кабинка охранника",
  pic = "gfx/trainee_03.png",
  dsc = function (s)
    if not s._seen then 
      s._seen = true;
      return "Охранника внутри нет. Странно."
    else
      return "Здесь никого нет."
    end
  end,
  act = function (s, w)
    if w == "Окошко" then
      return "Через окошко видны коридор первого этажа и входная дверь."
    elseif w == "Шкафчик" then
      if not have("lab102_key") then
        p "Я открыл его."
        s.obj:add(lab102_key)
      else
        return "Я открыл его, но ключей внутри не было."
      end
    elseif w == "Кнопка" then
      return "Я нажал на кнопку, но ничего не произошло."
    end
  end,
  obj = { vobj("Окошко", "Небольшое {окошко} находится рядом с дверью."),
	  vobj("Шкафчик", "На стене висит {шкафчик} для ключей."),
	  vobj("Кнопка", "{Кнопка} открытия входной двери расположена рядом со шкафчиком."),
    "lighter" },
  way = { "coridor1" },
}

lighter = obj {
  nam = "Зажигалка",
  dsc = "На столе лежит {зажигалка}.",
  tak = "Я взял зажигалку.",
  inv = function (s)
    if here() == coridor3 then
      put (switcher, coridor3)
      return "Я зажёг зажигалку. Её света не хватило на освещение коридора."
    else
      p "Я почиркал зажигалкой."
    end
  end,
  use = function (s, w)
    if w == termit and exist (termit, coridor1) then
      remove (termit, coridor1)
      remove (main_door, coridor1)
      coridor1.way:add(vroom ("Наружу", "out"))
      return "Я поджёг термитную шашку и она расплавила замок."
    else
      return "Я не хочу это жечь."
    end
  end,
}

lab102_key = obj {
  _dynamic_nam = "Ключ",
  nam = function (s)
    return s._dynamic_nam
  end,
  dsc = [[В шкафчике висит {ключ}.]],
  tak = "Я взял ключ.",
  inv = function (s)
    if s._dynamic_nam == "Ключ" then
      s._dynamic_nam = "Ключ 102"
    end
    return [[Ключ с биркой, на которой написано "102".]]
  end,
  use = function (s, w)
    if w == lab102_door then
      lab102._opened = true
      disable (s)
      remove(lab102_door, coridor1)
      return "Я отпёр дверь в лабораторию."
    elseif w == workshop_door then
      return "Ключ не подошёл."
    else
      return "Не могу себе этого представить."
    end
  end,
}

stair1 = room {
  nam = "Лестница 1 - 2 этаж",
  pic = "gfx/trainee_06.png",
  dsc = "На лестничном пролёте находится курилка. Сюда часто приходят обсудить текущие проекты работники нашего НИИ.",
  way = { "coridor1", "coridor2", "stair2" },
}

coridor2 = room {
  nam = "Коридор второго этажа",
  pic = "gfx/trainee_07.png",
  dsc = "Деревья не заслоняют окна второго этажа и утреннее солнце щедро поливает коридор своими лучами.",
  entered = code [[ make_snapshot() ]],
  exit = function (s, w)
    if w ~= death then
      if electrical_panel._open == true and electrical_switch._switchoff == false then
        p "Не стоит оставлять щиток открытым."
        return false
      end
    end
  end,
  obj = { "electrical_panel" },
  way = { "stair1", "lab201", "lab202", "room203", "server_room" },
}

server_room_door = obj {
  nam = "Дверь",
  dsc = "{Дверь} в серверную заперта.",
}

electrical_panel = obj {
  nam = "Электрический щит",
  _open = false,
  dsc = "На стене расположился распределительный {щиток}.",
  act = function (s)
    if not coridor3._seen then
      return "Мне нет необходимости открывать его."
    else
      if s._open == false then
        s._open = true
        if server_room._door_put == true and not server_room._opened then
          remove (server_room_door, coridor2)
        end
        if lab201._door_put == true and not lab201._opened then
          remove (lab201_door, coridor2)
        end
        if lab202.door_put == true and not lab202._opened then
          remove (lab202_door, coridor2)
        end
        if lab202.lock_put == true then
          remove (lab202_lock, coridor2)
        end
        put (electrical_switch, coridor2)
        put (electrical_cabel, coridor2)
        if server_room._door_put == true and not server_room._opened then
          put (server_room_door, coridor2)
        end
        if lab201._door_put == true and not lab201._opened then
          put (lab201_door, coridor2)
        end
        if lab202.door_put == true and not lab202._opened then
          put (lab202_door, coridor2)
        end
        if lab202.lock_put == true and not lab202._opened then
          put (lab202_lock, coridor2)
        end
        if lab202.lock_put == true then
          put (lab202_lock, coridor2)
        end
        if not s._seen then
          s._seen = true
          return "Я открыл щиток и обнаружил что внутри вырезан кусок провода."
        else
          return "Я открыл щиток."
        end
      else
        s._open = false
        remove (electrical_switch, coridor2)
        remove (electrical_cabel, coridor2)
        return "Я закрыл распределительный щиток."
      end
    end
  end,
}

electrical_switch = obj {
  nam = "Автомат",
  _switchoff = false,
  dsc = function (s)
    if s._switchoff == false then
      return "{Автомат} оборванной линии включен."
    else
      return "{Автомат} оборванной линии выключен."
    end
  end,
  act = function (s)
    if s._switchoff == false then
      s._switchoff = true
      return "Я выключил автомат."
    else
      if electrical_cabel._fixed == true then
        if not electrical_cabel._isolated then
          return "Не стоит подавать напряжение, не заизолировав соединения."
        else
          s._switchoff = false
          return "Я включил автомат."
        end
      else
        return "Я ещё не закончил ремонт."
      end
    end
  end,
}

electrical_cabel = obj {
  nam = "Кабель",
  dsc = function (s)
    if not s._fixed then
      return "В щитке виден оборванный {кабель}."
    else
      if not s._isolated then
        return "В щитке виден восстановленный {кабель}. Скрутки не заизолированы."
      else
        return "В щитке виден восстановленный {кабель}. Места соединения моей вставки заизолированы."
      end
    end
  end,
  act = "Кабель в толстой изоляции.",
}

death = room {
  nam = "Конец",
  dsc = [[Я забыл обесточить нужную мне линию и меня ударило током.]],
  act = function (s, w)
    if w == "Повтор" then
      restore_snapshot()
    end
  end,
  obj = { vobj ("Повтор", "{Попробовать ещё раз}") },
}

lab201 = room {
  nam = "Лаборатория 201",
  pic = "gfx/trainee_02.png",
  dsc = "Лаборатория искусственного интеллекта. Пожалуй, здесь работают самые весёлые ребята во всём институте -- программисты. Без них не обходятся ни один розыгрыш и ни одна шутка в нашем заведении.",
  act = function (s, w)
    if w == "Терминалы" then
      if not s._t_seen then
      	s._t_seen = true;
        return "Единственный инструмент программиста, кроме ручки и блокнота."
      else
        p "Я включил один из терминалов."
        walk(terminal)
      end
    end
  end,
  enter = function (s, f)
    if not s._opened then
      p "Дверь в лабораторию заперта."
      s._door_put = true
      put (lab201_door, coridor2)
      return false
    end
  end,
  obj = { vobj("Терминалы", "Из оборудования здесь стоят только {терминалы}."), "sysadmin_table", "sysadmin_terminal" },
  way = { "coridor2" },
}

lab201_door = obj {
  nam = "Дверь",
  dsc = "{Дверь} в лабораторию 201 заперта.",
}

sysadmin_table = obj {
  nam = "Стол сисадмина",
  dsc = "Немного поодаль расположен {стол} системного администратора.",
  act = function (s)
    if not s._seen then
      s._seen = true
      put (sysadmin_box, lab201)
      put (trash, lab201)
      return "Подойдя поближе, я заметил у стола ящик.^^Стол завален разнообразным хламом."
    else
      return "Чего только на нём не лежит."
    end
  end,
}

sysadmin_terminal = obj {
  nam = "Терминал сисадмина",
  dsc = "На столе {терминал}.",
  act = function (s)
    if not s._seen then
      s._seen = true
      return "Повезло. Терминал включён."
    else
      if not server._rebooted then
        return "На рабочем столе отображаются индикаторы доступности сисадминского хозяйства. Индикатор управления сигнализацией и электрическими замками горит красным."
      else
        if not lab202_lock._seen then
          return "На рабочем столе отображаются индикаторы доступности сисадминского хозяйства. Все индикаторы горят зелёным."
        else
          return "Я поискал на терминале какие-либо данные по ограничениям доступа внутри здания. Среди прочего мне попался пароль 2358."
        end
      end
    end
  end,
}

sysadmin_box = obj {
  nam = "Ящик стола",
  dsc = "В столе есть выдвижной {ящик}.",
  act = function (s)
    if not s._opened then
      return "Ящик закрыт на замок."
    else
      return "Ящик открыт."
    end
  end,
}

trash = obj {
  nam = "Хлам",
  dsc = "На столе сисадмина лежит уйма разнообразного {хлама}.",
  act = function (s)
    if not s._seen then
      s._seen = true
      put (clip, lab201)
      return "Среди кучи бесполезных вещей я увидел скрепку."
    else
      return "Ничего полезного в этом хламе не видно."
    end
  end,
}

clip = obj {
  nam = "Скрепка",
  dsc = "Среди хлама я вижу {скрепку}.",
  tak = "Я взял скрепку.",
  inv = "Обычная канцелярская скрепка.",
  use = function (s, w)
    if w == sysadmin_box then
      w._opened = true
      remove (trash, lab201)
      disable (s)
      put (server_room_key, lab201)
      put (trash, lab201)
      return "Замки в таких ящиках всегда были исключительно для видимости. Так что мне не составило труда открыть его обычной скрепкой."
    end
  end,
}

server_room_key = obj {
  nam = "Ключ",
  dsc = "В ящике стола лежит {ключ}.",
  tak = "Я взял ключ.",
  inv = function (s)
    s.nam = "Ключ от серверной"
    return [[На бирке ключа написано "Серверная".]]
  end,
  use = function (s, w)
    if w == server_room_door then
      server_room._opened = true
      remove (server_room_door, coridor2)
      disable (s)
      return "Я открыл дверь в серверную."
    end
  end,
}

terminal = room {
  nam = "Терминал",
  pic = "gfx/trainee_02.png",
  dsc = "Безалаберность программистов привела к тому, что я свободно вошёл в систему.",
  act = function (s, w)
    if w == "Документы" then
      return [[В недавних документах, в основном, были разнообразные отчёты. Ничего интересного. Разе что в последнее время часто мелькал проект под названием "Ваня".]]
    elseif w == "Почта" then
      return [[Переписка между программистами. Много не очень понятного жаргона вперемешку со смутно знакомыми терминами. Проект "Ваня" так же упоминается всё чаще в последних письмах.]]
    end
  end,
  obj = { vobj("Документы", "{Просмотреть недавние документы}.^"),
	  vobj("Почта", "{Просмотреть почту}.^"),
	  vway("Назад", "{Выключить терминал}.", "lab201") },
}

lab202 = room {
  nam = "Лаборатория 202",
  pic = "gfx/trainee_11.png",
  dsc = "Лаборатория химиков. Здесь родились замечательные вещества, которые заметно облегчили жизнь буквально всем остальным сотрудникам.",
  enter = function (s)
    if not lab202_door._opened then
      put (lab202_door, coridor2)
      s._door_put = true
      p "Дверь в лабораторию заперта."
      return false
    end
  end,
  act = function (s, w)
    if w == "Пробирки" then
      if not coridor1._seen then
	     return "Не стоит их трогать. С химией у меня не очень хорошо."
      else
        v = "Я внимательнее присмотрелся к пробиркам и не нашёл ничего интересного."
        if not s._termit then
          put (termit, lab202)
          s._termit = true
          v = v .. " Зато рядом с пробирками я заметил нечто странное."
        end
        return v
      end
    end
  end,
  obj = { vobj("Пробирки", "На столах стоят разнообразные {пробирки и колбы}.") },
  way = { "coridor2" },
}

termit = obj {
  nam = "Термитная шашка",
  dsc = "На столе я вижу {термитную шашку}.",
  tak = function (s)
    if not s._seen then
      s._seen = true
      p "Странно. Откуда у нас такая штука."
      return false
    else
      return "Я взял шашку."
    end
  end,
  use = function (s, w)
    if w == main_door then
      p "Я примотал изолентой шашку к замку входной двери."
      s.dsc = "К замку прикреплена {термитная шашка}."
      drop (s)
    end
  end,
}

lab202_door = obj {
  nam = "Дверь",
  dsc = "{Дверь} в лабораторию 202 заперта.",
  act = function (s)
    if not s._seen then
      s._seen = true
      lab202._lock_put = ture
      put (lab202_lock, coridor2)
      return "Рядом с дверью висит панель замка."
    else
      return "Заперто."
    end
  end,
}

lab202_lock = obj {
  nam = "Замок",
  dsc = "Рядом с дверью висит {панель} электронно-механического замка.",
  act = function (s)
    if not server._rebooted then
      return "Похоже, замок обесточен."
    else
      if not s._seen then
        s._seen = true
      end
      return "Для его открытия требуется ключ-карта и пароль."
    end
  end,
}

lab202_lock_keyboard = room {
  nam = "Кодовый замок",
  pic = "gfx/trainee_08.png",
  dsc = [[Введите пароль и нажмите *.^В случае ошибки нажмите #.]],
  _code = "",
  act = function (s, w)
    if w == "a1" then
      s._code = s._code .. "1"
      return "На дисплее высвечивается: " .. s._code
    elseif w == "a2" then
      s._code = s._code .. "2"
      return "На дисплее высвечивается: " .. s._code
    elseif w == "a3" then
      s._code = s._code .. "3"
      return "На дисплее высвечивается: " .. s._code
    elseif w == "a4" then
      s._code = s._code .. "4"
      return "На дисплее высвечивается: " .. s._code
    elseif w == "a5" then
      s._code = s._code .. "5"
      return "На дисплее высвечивается: " .. s._code
    elseif w == "a6" then
      s._code = s._code .. "6"
      return "На дисплее высвечивается: " .. s._code
    elseif w == "a7" then
      s._code = s._code .. "7"
      return "На дисплее высвечивается: " .. s._code
    elseif w == "a8" then
      s._code = s._code .. "8"
      return "На дисплее высвечивается: " .. s._code
    elseif w == "a9" then
      s._code = s._code .. "9"
      return "На дисплее высвечивается: " .. s._code
    elseif w == "a0" then
      s._code = s._code .. "0"
      return "На дисплее высвечивается: " .. s._code
    elseif w == "diez" then
      s._code = ""
      return "Дисплей ничего не отображает."
    else
      if s._code == "2358" then
        lab202_door._opened = true
        remove (lab202_door, coridor2)
        remove (lab202_lock, coridor2)
        walk (coridor2)
        return "Пароль подошёл. Послышался характерный звук и дверь в лабораторию открылась."
      else
        s._code = ""
        return "Пароль не подошёл."
      end
    end
  end,
  obj = { vobj("a1", "{1}"), vobj("a2", " {2}"), vobj("a3", " {3}^"),
          vobj("a4", "{4}"), vobj("a5", " {5}"), vobj("a6", " {6}^"),
          vobj("a7", "{7}"), vobj("a8", " {8}"), vobj("a9", " {9}^"),
          vobj("star", "{*}"), vobj("0", " {0}"), vobj("diez", " {#}") },
  way = { vroom("Отойти", "coridor2") },
}

room203 = room {
  nam = "Актовый зал",
  pic = "gfx/trainee_14.png",
  dsc = "Просторный зал, занимающий почти половину второго этажа.",
  act = function (s, w)
    if w == "Экран" then
      return "Обычный белый экран для проектора."
    elseif w == "Кресла" then
      return "Удобные современные кресла с подлокотниками и подголовниками. В них очень удобно слушать выступающих коллег."
    end
  end,
  obj = { vobj("Экран", "Напротив входа на стене висит большой белый {экран}."),
	  vobj("Кресла", "Почти всё пространство зала занимают {кресла}.") },
  way = { "coridor2" },
}

server_room = room {
  nam = "Серверная",
  pic = "gfx/trainee_09.png",
  dsc = "Небольшая серверная нашего НИИ.",
  enter = function (s, w)
    if not s._opened then
      p "Дверь заперта."
      put (server_room_door, coridor2)
      s._door_put = true
      return false
    end
  end,
  act = function (s, w)
    if w == "Сервера" then
      return "Лучше их не трогать. А то мало ли."
    elseif w == "оборудование" then
      if not s._server_off then
        s._server_off = true
        put (server, s)
        return "Кое как разобравшись что есть что, я нашёл сервер, управляющий сигнализацией и замками."
      end
    end
  end,
  obj = { vobj("Сервера", " Здесь находятся наши {сервера}"),
          vobj("оборудование", " и некоторое другое {оборудование}.") },
  way = { "coridor2" },
}

server = obj {
  nam = "Сервер",
  dsc = "Среди паутины кабелей и других серверов я вижу {сервер}, отвечающий за охрану нашего НИИ.",
  act = function (s)
    if not s._seen then
      s._seen = true
      return "Обычная плоская коробка. Высотой два юнита."
    else
      if not s._rebooted then
        s._rebooted = true
        return "Я перезагрузил сервер."
      else
        return "Сервер функционирует нормально."
      end
    end
  end,
}

stair2 = room {
  nam = "Лестница 2 - 3 этаж",
  pic = "gfx/trainee_06.png",
  dsc = "На этой лестничной площадке никто не собирается, так как на третьем этаже располагаются административные помещения.",
  way = { "stair1", "coridor2", "coridor3" },
}

coridor3 = room {
  nam = "Коридор третьего этажа",
  pic = function (s)
    if not s._lighton then
      return "gfx/trainee_13.png"
    else
      return "gfx/trainee_10.png"
    end
  end,
  dsc = function (s)
    if not s._lighton then
      return "Здесь темно. Ничего не вижу."
    else
      return "В отличии от других коридоров, этот отделан получше."
    end
  end,
  act = function (s, w)
    if w == "Ковёр" then
      return "Потёртый старый ковёр."
    elseif w == "Диван" then
      return "Маленький удобный диванчик."
    elseif w == "Приёмная" then
      s.way:add(waiting_room)
      remove ("Приёмная", s)
      return "Я открыл дверь в приёмную."
    elseif w == "Бухгалтерия" then
      return "Дверь не открывается."
    end
  end,
  entered = function (s, w)
    if not s._seen then
      s._seen = true;
    end
  end,
  exit = function (s, w)
    if exist(switcher) then
      remove (switcher, s)
    end
  end,
  obj = {  },
  way = { "stair2" },
}

switcher = obj {
  nam = "Выключатель.",
  dsc = "Пламя зажигалки выхватывает и темноты {выключатель}.",
  act = function (s)
    if electrical_cabel._fixed == true and electrical_cabel._isolated == true then
      if not coridor3._lighton then
        coridor3._lighton = true
        remove (switcher, coridor3)
        put (vobj("Ковёр", "На полу постелен {ковёр}."), coridor3)
        put (vobj("Диван", "У стены, между дверями, расположен небольшой {диванчик}."), coridor3)
        put (vobj("Приёмная", [[Слева -- {дверь} с табличкой "Приёмная".]]), coridor3)
        put (vobj("Бухгалтерия", [[Справа -- {дверь} с табличкой "Бухгалтерия".]]), coridor3)
        return "Я щёлкнул выключателем и лампы, подвешенные под потолком, вспыхнули холодным белым светом."
      end
    else
      return "Я пощёлкал выключателем, но ничего не произошло."
    end
  end,
}

waiting_room = room {
  nam = "Приёмная",
  pic = "gfx/trainee_12.png",
  dsc = "Через большое окно в комнату льётся яркий свет.",
  obj = { "table", "cabinet", "director_room_door" },
  way = { "coridor3" },
}

director_room_door = obj {
  nam = "Дверь",
  dsc = "Слева от стола расположена {дверь} в кабинет директора.",
  act = function (s, w)
    if not server._rebooted then
      return "Дверь заперта. Электронный замок не работает."
    else
      put (director_room_lock, waiting_room)
      if not director_room_lock._opened then
        return "Дверь заперта. Похоже, что электронный замок работает."
      else
        return "Дверь отперта."
      end
    end
  end,
}

director_room_lock = obj {
  nam = "Замок",
  dsc = "Рядом с дверью находится {кнопка} замка.",
  act = function (s)
    if not s._opened then
      waiting_room.way:add(director_room)
      s._opened = true
      return "Я нажал на кнопку и дверь в кабинет директора открылась."
    else
      return "Замок открыт."
    end
  end,
}

table = obj {
  nam = "Стол",
  dsc = "Большой {стол} делит комнату пополам.",
  act = function ()
    remove (cabinet, waiting_room)
    remove (director_room_door, waiting_room)
    put (box, waiting_room)
    put (cabinet, waiting_room)
    put (director_room_door, waiting_room)
    return "Обойдя стол, я увидел в нём тумбочку с выдвижным ящиком."
  end,
}

box = obj {
  nam = "Ящик.",
  dsc = "В столе есть тумбочка с выдвижным {ящиком}.",
  act = function (s)
    if not s._key then
      s._key = true
      remove (cabinet, waiting_room)
      remove (director_room_door, waiting_room)
      put (lab201_key, waiting_room)
      put (cabinet, waiting_room)
      put (director_room_door, waiting_room)
      return "Я открыл выдвижной ящик. Внутри лежал ключ."
    else
      return "Я открыл ящик. Внутри ничего нет."
    end
  end,
}

lab201_key = obj {
  nam = "Ключ",
  dsc = "В ящике лежит {ключ}.",
  tak = "Я взял ключ.",
  inv = function (s)
    s.nam = "Ключ 201"
    return [[На бирке ключа написано "Лаборатория 201".]]
  end,
  use = function (s, w)
    if w == lab201_door then
      lab201._opened = true
      remove (lab201_door, coridor2)
      disable (s)
      return "Я отпёр дверь в лабораторию."
    elseif w == server_room_door then
      return "Ключ не подошёл."
    end
  end,
}

cabinet = obj {
  nam = "Шкафы",
  dsc = "У стены стоят массивные {шкафы} со стеклянными дверцами.",
  act = "На полках стоят разнообразные папки. Ничего полезного."
}

director_room = room {
  nam = "Кабинет директора",
  pic = "gfx/trainee_15.png",
  dsc = "Шикарно отделанный кабинет.",
  obj = { "director_room_table" },
  way = { "waiting_room" },
}

director_room_table = obj {
  nam = "Стол",
  dsc = "У окна стоит массивный {стол}.",
  act = function (s)
    if not s._seen then
      s._seen = true
      put (director_terminal, director_room)
      put (director_box, director_room)
      return "На столе громоздится терминал. Под столешницей виден выдвижной ящик."
    else
      return "Добротно сделанный стол. Может, это даже настоящее дерево."
    end
  end,
}

papers = obj {
  nam = "Бумаги",
  dsc = ", на котором возвышается идеально ровная стопка {бумаг}. Рядом находится большое белое кресло и пара стульев.",
  act = "Скучные отчёты."
}

director_terminal = obj {
  nam = "Терминал",
  dsc = "На столе стоит {терминал} с огромным экраном.",
  act = "Терминал выключен.",
}

director_box = obj {
  nam = "Ящик",
  dsc = "Справа от кресла в столе есть выдвижной {ящик}.",
  act = function (s)
    if not s._seen then
      s._seen = true
      put (keycard, director_room)
      return "Я открыл ящик. Внутри лежит пластиковая карточка."
    else
      return "Я открыл ящик. Внутри ничего нет."
    end
  end,
}

keycard = obj {
  nam = "Ключ-карта",
  dsc = "В ящике стола лежит пластиковая {карта}.",
  tak = "Я взял карточку.",
  inv = "Магнитный ключ, выполненный в виде пластиковой карточки.",
  use = function (s, w)
    if w == lab202_lock then
      walk (lab202_lock_keyboard)
      return "Я провёл карточкой по щели считывателя. Теперь надо ввести пароль."
    end
  end,
}

out = room {
  nam = "Снаружи",
  pic = "gfx/trainee_16.png",
  dsc = "Я наконец-то выбрался наружу. Яркий солнечный свет заливает аллею, ведущую от ворот к главному входу в здание. В молодой листве щебечут какие-то птицы, над головой пролетают маленькие белые облака.^^Странное чувство охватило меня -- я не хотел покидать территорию НИИ. Поэтому я прогулялся вокруг здания, сел на скамейку в тени дерева и сам не заметил как задремал.",
  enter = function()
    set_music("mus/trainee_age_of_loneliness.xm")
  end,
  obj = { vway("Далее", "{Далее}", "theend") },
}

theend = room {
  nam = "Эпилог",
  pic = "gfx/trainee_17.png",
  hideinv = true,
  dsc = [[ПРОЕКТ "ИВАН"^
  Тип: искуственный интеллект^
  Вводные данные: сотрудник НИИ N^
  Должность: практикант^
  Полигон: условная модель НИИ N^^

  Результат: Выполнено 100%^
  Допущено ошибок: 2%^^

  Заключение: результаты последнего эксперимента с программной частью проекта были проанализированы. Объект показал отличные результаты в плане принятия решений в нестандартных условиях.

  Дата следующего эксперимента будет сообщена дополнительно.^^
  По предварительным данным, эксперимент планируется провести, используя модель, основанную на показаниях автоматических сборщиков информации. Основной задачей объекта является способность анализа неизвестных данных, а не логическое мышление. В случае успешного прохождения данного испытания проект будет направлен в разработку.]],
}